%%                       IRFs  Plots                             %%
%%%%%%%%%%################################################%%%%%%%%%

close all; clear; clc;

% Load data from the "LP Sanctions Iran Data" folder
load('vars_for_IRFplots_altern_order.mat')
set(0, 'DefaultAxesFontSize', 17, 'DefaultAxesFontName', 'Times');

%% SHOCK TO SANCTIONS
i = size(IRF1,1);
figure(i)
set(gcf,'color','w','PaperUnits','normalized','WindowState','maximized');
plotIRF1s = tiledlayout(1,4);
nexttile    
j=1;
 shade(hh,100*IRF1{i,j}(50,:), 'w', ...
       hh, 100*IRF1{i,j}(125,:),'w',...
       hh, 100*IRF1{i,j}(875,:),'w', ...
       hh, 100*IRF1{i,j}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6);
   hold on 
    plot(hh, 100*IRF1{i,j}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}',  'interpreter', 'latex', 'FontSize',16)
    title({'Exchange rate'},'FontSize',17, 'interpreter', 'latex');    
    subtitle({'IRR/USD'},'FontSize',13, 'interpreter', 'latex')
    xlim([0, 16])
    xticks(0:4:16)
    hAx = gca;
    ylabel('Per cent', 'FontSize', 15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    ylimit = get(gca,'YLim'); 
    set(ylh, 'Rotation', 360, 'Position', [-1.464, ylimit(2)+0.5,-1])
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
nexttile
j=2;
shade(hh, 100*IRF1{i,j}(50,:),'w',...
      hh, 100*IRF1{i,j}(125,:),'w',...
      hh, 100*IRF1{i,j}(875,:),'w', ...
      hh, 100*IRF1{i,j}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{i,j}(500,:), 'r', 'LineWidth',1.1)
    xlabel('\textit{Quarter}',  'interpreter', 'latex','FontSize',17)
    xlim([0,16])
    xticks(0:4:16)
    hAx = gca;
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    ylimit = get(gca,'YLim');     
    set(ylh, 'Rotation',360, 'Position', [-1.464, ylimit(2)-0.8,-1])
    axis square
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Oil exports','FontSize',17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex')    
nexttile
j=3;
shade(hh, 100*IRF1{i,j}(50,:),'w',...
      hh, 100*IRF1{i,j}(125,:),'w',...
      hh, 100*IRF1{i,j}(875,:),'w', ...
      hh, 100*IRF1{i,j}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{i,j}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}', 'FontSize',17, 'Interpreter', 'LaTeX')
    xlim([0,16])
    xticks(0:4:16)    
    axis square
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    ylimit = get(gca,'YLim');     
    set(ylh, 'Rotation',360, 'Position', [-1.464, ylimit(2)+0.18,-1])
    hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Inflation','FontSize',17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex');    
nexttile
j=4;
shade(hh, 100*IRF1{i,j}(50,:),'w',...
      hh, 100*IRF1{i,j}(125,:),'w',...
      hh, 100*IRF1{i,j}(875,:),'w', ...
      hh, 100*IRF1{i,j}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{i,j}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}', 'FontSize',17, 'Interpreter', 'LaTeX')
    xlim([0,16])
    xticks(0:4:16)
    axis square
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    ylimit = get(gca,'YLim');         
    set(ylh, 'Rotation',360, 'Position', [-1.464, ylimit(2)+0.23,-1])
    hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Output growth','FontSize',17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex');    
exportgraphics(plotIRF1s,'../LP Iran Sanctions Results/SVAR estimates/IRFs_FEVDs_results/IRFs_sanctions_shock_DFXorder.png','Resolution',450)



%% SHOCK TO EXCHANGE RATES
i=2;
figure(i-1)
set(gcf,'color','w','PaperUnits','normalized','WindowState','maximized');
 plotIRF1dfx = tiledlayout(1,4);
nexttile    
 shade(hh,100*IRF1{i-1,1}(50,:), 'w', ...
       hh, 100*IRF1{i-1,1}(125,:),'w',...
       hh, 100*IRF1{i-1,1}(875,:),'w', ...
       hh, 100*IRF1{i-1,1}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6);
   hold on 
    plot(hh, 100*IRF1{i-1,1}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}',  'interpreter', 'latex', 'FontSize',16)
    xlim([0,8])
    title('Exchange rate','FontSize',17, 'interpreter', 'latex');        
    subtitle({'IRR/USD'},'FontSize',13, 'interpreter', 'latex')    
    ylabel('Per cent', 'FontSize', 15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    ylimit = get(gca,'YLim');             
    set(ylh, 'Rotation',360, 'Position', [-0.80, ylimit(2)+0.7,-1])
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
nexttile
shade(hh, 100*IRF1{i-1,2}(50,:),'w',...
      hh, 100*IRF1{i-1,2}(125,:),'w',...
      hh, 100*IRF1{i-1,2}(875,:),'w', ...
      hh, 100*IRF1{i-1,2}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{i-1,2}(500,:), 'r', 'LineWidth',1.1)
    xlabel('\textit{Quarter}',  'interpreter', 'latex','FontSize',17)
    xlim([0,8])
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    set(ylh, 'Rotation',360, 'Position', [-0.80, 100*max(max(IRF1{i-1,2}(970,:))),-1])        
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Oil exports','FontSize',17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex');    
nexttile
shade(hh, 100*IRF1{i-1,3}(50,:),'w',...
      hh, 100*IRF1{i-1,3}(125,:),'w',...
      hh, 100*IRF1{i-1,3}(875,:),'w', ...
      hh, 100*IRF1{i-1,3}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{i-1,3}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}', 'FontSize',17, 'Interpreter', 'LaTeX')
    xlim([0,8])
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    set(ylh, 'Rotation',360, 'Position', [-0.80, 100*max(max(IRF1{i-1,3}(985,:))),-1])    
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Inflation','FontSize',17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex');
nexttile
shade(hh, 100*IRF1{i-1,4}(50,:),'w',...
      hh, 100*IRF1{i-1,4}(125,:),'w',...
      hh, 100*IRF1{i-1,4}(875,:),'w', ...
      hh, 100*IRF1{i-1,4}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{i-1,4}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}', 'FontSize',17, 'Interpreter', 'LaTeX')
    xlim([0,8])
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    ylimit = get(gca,'YLim');             
    set(ylh, 'Rotation',360, 'Position', [-0.80, ylimit(2)+0.2,-1])    
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Output growth','FontSize',17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex');    
exportgraphics(plotIRF1dfx,'../LP Iran Sanctions Results/SVAR estimates/IRFs_FEVDs_results/IRFs_dFX_shock_DFXorder.png','Resolution', 450)


%% SHOCK to OIL REVENUES
i = 3;
figure(i-1)
set(gcf,'color','w','PaperUnits','normalized','WindowState','maximized');
 plotIRF1dfx = tiledlayout(1,4);
nexttile    
 shade(hh,100*IRF1{i-1,1}(50,:), 'w', ...
       hh, 100*IRF1{i-1,1}(125,:),'w',...
       hh, 100*IRF1{i-1,1}(875,:),'w', ...
       hh, 100*IRF1{i-1,1}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6);
   hold on 
    plot(hh, 100*IRF1{i-1,1}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}',  'interpreter', 'latex', 'FontSize',16)
    xlim([0,8])
    title('Exchange rate','FontSize',17, 'interpreter', 'latex');        
    subtitle({'IRR/USD'},'FontSize',13, 'interpreter', 'latex')    
    ylabel('Per cent', 'FontSize', 15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    ylimit = get(gca,'YLim');             
    set(ylh, 'Rotation',360, 'Position', [-0.80, ylimit(2)+0.2, -1])
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
nexttile
shade(hh, 100*IRF1{i-1,2}(50,:),'w',...
      hh, 100*IRF1{i-1,2}(125,:),'w',...
      hh, 100*IRF1{i-1,2}(875,:),'w', ...
      hh, 100*IRF1{i-1,2}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{i-1,2}(500,:), 'r', 'LineWidth',1.1)
    xlabel('\textit{Quarter}',  'interpreter', 'latex','FontSize',17)
    xlim([0,8])
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    ylimit = get(gca,'YLim'); 
    set(ylh, 'Rotation', 360, 'Position', [-0.80, ylimit(2)+2,-1])    
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Oil exports','FontSize',17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex');    
nexttile
shade(hh, 100*IRF1{i-1,3}(50,:),'w',...
      hh, 100*IRF1{i-1,3}(125,:),'w',...
      hh, 100*IRF1{i-1,3}(875,:),'w', ...
      hh, 100*IRF1{i-1,3}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{i-1,3}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}', 'FontSize',17, 'Interpreter', 'LaTeX')
    xlim([0,8])
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    ylimit = get(gca,'YLim');             
    set(ylh, 'Rotation',360, 'Position', [-0.80, ylimit(2)+0.05,-1])    
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Inflation','FontSize',17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex');
nexttile
shade(hh, 100*IRF1{i-1,4}(50,:),'w',...
      hh, 100*IRF1{i-1,4}(125,:),'w',...
      hh, 100*IRF1{i-1,4}(875,:),'w', ...
      hh, 100*IRF1{i-1,4}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{i-1,4}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}', 'FontSize',17, 'Interpreter', 'LaTeX')
    xlim([0,8])
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    ylimit = get(gca,'YLim');             
    set(ylh, 'Rotation',360, 'Position', [-0.80, ylimit(2)+0.1,-1])    
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Output growth','FontSize',17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex');
newposition = [0.33, 0.17, 0.3, 0.05];
              legend({'','','','','90% bands', '75% bands','','Median'},... 
            'Location',newposition,'NumColumns',3, 'Fontsize', 22);    
exportgraphics(plotIRF1dfx,'../LP Iran Sanctions Results/SVAR estimates/IRFs_FEVDs_results/IRFs_dXoil_shock_DFXorder.png','Resolution', 450)



%% SHOCK TO DP
i=4;
figure(i-1)
set(gcf,'color','w','PaperUnits','normalized','WindowState','maximized');
 plotIRF1dp = tiledlayout(1,4);
nexttile;
j=1;
 shade(hh,100*IRF1{i-1,j}(50,:), 'w', ...
       hh, 100*IRF1{i-1,j}(125,:),'w',...
       hh, 100*IRF1{i-1,j}(875,:),'w', ...
       hh, 100*IRF1{i-1,j}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6);
   hold on 
    plot(hh, 100*IRF1{i-1,j}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}',  'interpreter', 'latex', 'FontSize',17)
    xlim([0,8])
    ylabel('Per cent', 'FontSize', 15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    ylimit = get(gca,'YLim');             
    set(ylh, 'Rotation',360, 'Position', [-0.80, ylimit(2)+0.15 ,-1])    
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Exchange rate','FontSize',17, 'interpreter', 'latex');
    subtitle({'IRR/USD'},'FontSize',13, 'interpreter', 'latex')
nexttile
j=2;
shade(hh, 100*IRF1{i-1,j}(50,:),'w',...
      hh, 100*IRF1{i-1,j}(125,:),'w',...
      hh, 100*IRF1{i-1,j}(875,:),'w', ...
      hh, 100*IRF1{i-1,j}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{i-1,j}(500,:), 'r', 'LineWidth',1.1)
    xlabel('\textit{Quarter}',  'interpreter', 'latex','FontSize',17)
    xlim([0,8])
    ylabel('Per cent', 'FontSize', 15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    ylimit = get(gca,'YLim');             
    set(ylh, 'Rotation',360, 'Position', [-0.80, ylimit(2)+0.3, -1])        
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Oil exports','FontSize', 17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex');    
nexttile
j=3;
shade(hh, 100*IRF1{i-1,j}(50,:),'w',...
      hh, 100*IRF1{i-1,j}(125,:),'w',...
      hh, 100*IRF1{i-1,j}(875,:),'w', ...
      hh, 100*IRF1{i-1,j}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{i-1,j}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}', 'FontSize',17, 'Interpreter', 'LaTeX')
    xlim([0,8])
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    ylimit = get(gca,'YLim');             
    set(ylh, 'Rotation',360, 'Position', [-0.80, ylimit(2)+0.1,-1])        
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Inflation','FontSize',17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex');   
nexttile
j=4;
shade(hh, 100*IRF1{i-1,j}(50,:),'w',...
      hh, 100*IRF1{i-1,j}(125,:),'w',...
      hh, 100*IRF1{i-1,j}(875,:),'w', ...
      hh, 100*IRF1{i-1,j}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{i-1,j}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}', 'FontSize',17, 'Interpreter', 'LaTeX')
    xlim([0,8])
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    ylimit = get(gca,'YLim');             
    set(ylh, 'Rotation',360, 'Position', [-0.80, ylimit(2)+0.1,-1])
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Output growth','FontSize',17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex');
exportgraphics(plotIRF1dp,'../LP Iran Sanctions Results/SVAR estimates/IRFs_FEVDs_results/IRFs_inflation_shock_DFXorder.png','Resolution', 450)






%% SHOCK TO DY
i=5;
figure(i-1)
set(gcf,'color','w','PaperUnits','normalized','WindowState','maximized');
plotIRF1dy = tiledlayout(1,4);
nexttile   
j=1;
    shade(hh,100*IRF1{i-1,j}(50,:), 'w', ...
       hh, 100*IRF1{i-1,j}(125,:),'w',...
       hh, 100*IRF1{i-1,j}(875,:),'w', ...
       hh, 100*IRF1{i-1,j}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6);
   hold on 
    plot(hh, 100*IRF1{i-1,j}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}',  'interpreter', 'latex', 'FontSize',17)
    xlim([0,8])
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    ylimit = get(gca,'YLim');             
    set(ylh, 'Rotation',360, 'Position', [-0.80, ylimit(2)+0.2,-1])
    ax.FontName = 'Times'
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Exchange rate','FontSize',17, 'interpreter', 'latex');
    subtitle({'IRR/USD'},'FontSize',13, 'interpreter', 'latex')    
nexttile
j=2;
shade(hh, 100*IRF1{i-1,j}(50,:),'w',...
      hh, 100*IRF1{i-1,j}(125,:),'w',...
      hh, 100*IRF1{i-1,j}(875,:),'w', ...
      hh, 100*IRF1{i-1,j}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{i-1,j}(500,:), 'r', 'LineWidth',1.1)
    xlabel('\textit{Quarter}',  'interpreter', 'latex','FontSize',17)
    xlim([0,8])
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Oil exports','FontSize',17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex');    
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylimit = get(gca,'YLim');             
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    set(ylh, 'Rotation',360, 'Position', [-0.80, ylimit(2)+1.35,-1])    
nexttile
j=3;
shade(hh, 100*IRF1{i-1,j}(50,:),'w',...
      hh, 100*IRF1{i-1,j}(125,:),'w',...
      hh, 100*IRF1{i-1,j}(875,:),'w', ...
      hh, 100*IRF1{i-1,j}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{i-1,j}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}', 'FontSize',17, 'Interpreter', 'LaTeX')
    xlim([0,8])
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    ylimit = get(gca,'YLim');             
    set(ylh, 'Rotation',360, 'Position', [-0.80, ylimit(2)+0.05, -1])
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Inflation','FontSize',17, 'interpreter', 'latex');
    subtitle(' ','FontSize', 13, 'interpreter', 'latex');
nexttile
j=4;
    shade(hh, 100*IRF1{i-1,j}(50,:),'w',...
      hh, 100*IRF1{i-1,j}(125,:),'w',...
      hh, 100*IRF1{i-1,j}(875,:),'w', ...
      hh, 100*IRF1{i-1,j}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{i-1,j}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}', 'FontSize',17, 'Interpreter', 'LaTeX')
    xlim([0,8])
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    ylimit = get(gca,'YLim');             
    set(ylh, 'Rotation',360, 'Position', [-0.80, ylimit(2)+0.4, -1])
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Output growth','FontSize',17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex'); 
    exportgraphics(plotIRF1dy,'../LP Iran Sanctions Results/SVAR estimates/IRFs_FEVDs_results/IRFs_output_growth_shock_DFXorder.png','Resolution', 450)



%% SHOCK TO Global output growth
i=6;
figure(i-1) 
set(gcf,'color', 'w', 'PaperUnits', 'normalized', 'WindowState', 'maximized');
plotIRF1dyw = tiledlayout(1,4);
nexttile;   
j=1;
 shade(hh,100*IRF1{i-1,j}(50,:), 'w', ...
       hh, 100*IRF1{i-1,j}(125,:),'w',...
       hh, 100*IRF1{i-1,j}(875,:),'w', ...
       hh, 100*IRF1{i-1,j}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6);
   hold on 
    plot(hh, 100*IRF1{i-1,j}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}',  'interpreter', 'latex', 'FontSize',17)
    xlim([0,8])
    ylabel('Per cent', 'FontSize', 15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    ylimit = get(gca,'YLim');             
    set(ylh, 'Rotation',360, 'Position', [-0.80, ylimit(2)-0.3,-1])    
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Exchange rate','FontSize',17, 'interpreter', 'latex');
    subtitle({'IRR/USD'},'FontSize',13, 'interpreter', 'latex')
nexttile
j=2;
shade(hh, 100*IRF1{i-1,j}(50,:),'w',...
      hh, 100*IRF1{i-1,j}(125,:),'w',...
      hh, 100*IRF1{i-1,j}(875,:),'w', ...
      hh, 100*IRF1{i-1,j}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{i-1,j}(500,:), 'r', 'LineWidth',1.1)
    xlabel('\textit{Quarter}',  'interpreter', 'latex','FontSize',17)
    xlim([0,8])
    ylabel('Per cent', 'FontSize', 15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    ylimit = get(gca,'YLim');             
    set(ylh, 'Rotation',360, 'Position', [-0.80, ylimit(2)+0.4, -1])        
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Oil exports','FontSize', 17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex');    
nexttile
j=3;
shade(hh, 100*IRF1{i-1,j}(50,:),'w',...
      hh, 100*IRF1{i-1,j}(125,:),'w',...
      hh, 100*IRF1{i-1,j}(875,:),'w', ...
      hh, 100*IRF1{i-1,j}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{i-1,j}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}', 'FontSize',17, 'Interpreter', 'LaTeX')
    xlim([0,8])
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    set(ylh, 'Rotation',360, 'Position', [-0.80, 100*max(max(IRF1{i-1,j}(996,:))),-1])        
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Inflation','FontSize',17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex');   
nexttile
j=4;
shade(hh, 100*IRF1{i-1,j}(50,:),'w',...
      hh, 100*IRF1{i-1,j}(125,:),'w',...
      hh, 100*IRF1{i-1,j}(875,:),'w', ...
      hh, 100*IRF1{i-1,j}(950,:), 'w', ...
       'FillType',[1 2;2,1;2 3;3 2; 3 4;4 3],...
       'FillColor',[ 1, 0.6, 0.1 ; 1, 0.6, 0.1 ;...
                    1, 0.3, 0 ; 1, 0.3, 0 ; ...
                    1, 0.6, 0.1 ; 1, 0.6, 0.1 ],...
       'FillAlpha', 0.6)
   hold on 
    plot(hh, 100*IRF1{i-1,j}(500,:), 'r', 'LineWidth', 1)
    xlabel('\textit{Quarter}', 'FontSize',17, 'Interpreter', 'LaTeX')
    xlim([0,8])
    ylabel('Per cent', 'FontSize',15, 'interpreter', 'latex')
    ylh = get(gca,'ylabel');
    gyl = get(ylh);                                                         % Object Information
    ylp = get(ylh, 'Position');
    set(ylh, 'Rotation',360, 'Position', [-0.80, 100*max(max(IRF1{i-1,j}(985,:))),-1])
    axis square
   hold on
    plot([min(xlim()),max(xlim())],[0,0], 'k--', 'LineWidth', 1)
    title('Output growth','FontSize',17, 'interpreter', 'latex');
    subtitle(' ','FontSize',13, 'interpreter', 'latex');
newposition = [0.33, 0.17, 0.3, 0.05];
              legend({'','','','','90% bands', '75% bands','','Median'},... 
            'Location',newposition,'NumColumns',3, 'Fontsize', 22);     
exportgraphics(plotIRF1dyw,'../LP Iran Sanctions Results/SVAR estimates/IRFs_FEVDs_results/IRFs_global_output_growth_shock_DFXorder.png','Resolution', 450)


