# Descriptive statistics of sanctions indicator
# * SAN ON  ------------------------------------------------------

master89_05 <- subset(master, date>="1989Q3" & date<="2005Q2")
descriptivesON_89_05 <- descr(master89_05$s, plain.ascii = FALSE, 
                              style = "rmarkdown", transpose = TRUE) %>% tb()

master06_11 <- subset(master, date>="2005Q3" & date<="2013Q2")
descriptivesON_06_11 <- descr(master06_11$s, plain.ascii = FALSE, 
                              style = "rmarkdown", transpose = TRUE) %>% tb()

master12_15 <- subset(master, date>="2012Q1" & date<="2014Q4")
descriptivesON_12_15 <- descr(master12_15$s, plain.ascii = FALSE, 
                              style = "rmarkdown", transpose = TRUE) %>% tb()

master15_18 <- subset(master, date>="2015Q1" & date<="2018Q1")
descriptivesON_15_18 <- descr(master15_18$s, plain.ascii = FALSE, 
                              style = "rmarkdown", transpose = TRUE) %>% tb()

master18_20 <- subset(master, date>="2018Q2")
descriptivesON_18_20 <- descr(master18_20$s, plain.ascii = FALSE, 
                              style = "rmarkdown", transpose = TRUE) %>% tb()

master89_20 <- subset(master, date>=1989)
descriptivesON_89_20 <- descr(master89_20$s, plain.ascii = FALSE, 
                              style = "rmarkdown", transpose = TRUE) %>% tb()


descriptives <- rbind(descriptivesON_89_05, descriptivesON_06_11, 
                        descriptivesON_12_15, descriptivesON_15_18, descriptivesON_18_20, 
                        descriptivesON_89_20)

write.xlsx(descriptives, "../LP Iran Sanctions Results/descriptives/s_indicator.xlsx")

rm(master15_18, master18_20, master89_05, master06_11, master12_15, master89_20, descriptives)    
rm(list=ls(pattern="^descriptivesON_"))