### SVARX with robustness checks

# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
# # # # # # # # # # # # # # # # # # 1.A  # # # # # # # # # # # # # # # # # # # 
# # # ------------------- SVAR {dxo, dfx, dm2, dp, dy} ------------------------
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

# ***DXOIL -------------------------------------------------------------------
svarx.dxo1 <- lm(dxo ~  SR1 + SR2 + SR3 + s + lag(s,1) 
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1),
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )

adjr2                   <- data.frame(summary(svarx.dxo1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.dxo1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p     <- data.frame(bgtest(svarx.dxo1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dxo2 <- lm(dxo  ~  SR1 + SR2 + SR3 + s + lag(s,1)
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[2,]                   <- data.frame(summary(svarx.dxo2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dxo2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,]     <- data.frame(bgtest(svarx.dxo2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dxo3 <- lm(dxo ~  SR1 + SR2 + SR3 + s + lag(s,1) 
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[3,]                   <- data.frame(summary(svarx.dxo3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dxo3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,]     <- data.frame(bgtest(svarx.dxo3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dxo4 <- lm(dxo ~  SR1 + SR2 + SR3 + s + lag(s,1)
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[4,]                   <- data.frame(summary(svarx.dxo4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dxo4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,]     <- data.frame(bgtest(svarx.dxo4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dxo5 <- lm(dxo ~  SR1 + SR2 + SR3 + s + lag(s,1) 
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep + da$data.glr,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[5,]                   <- data.frame(summary(svarx.dxo5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dxo5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,]     <- data.frame(bgtest(svarx.dxo5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dxo6 <- lm(dxo ~  SR1 + SR2 + SR3 + s + lag(s,1) 
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep + da$data.glr + grve,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[6,]                   <- data.frame(summary(svarx.dxo6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dxo6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,]     <- data.frame(bgtest(svarx.dxo6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)




errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dxo1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dxo1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2     <- paste(sprintf("%.3f",adjr2$summary.svarx.dxo1..adj.r.squared), collapse = NULL)
serial    <- paste(errorsc_coeff,"$\\;$ ", errorsc_p)



svarx1 <- stargazer(svarx.dxo1, svarx.dxo2, svarx.dxo3, svarx.dxo4, svarx.dxo5, svarx.dxo6, 
                    title = "Quarterly estimates of the equation for the oil export variable
                  in the SVAR model of Iran with seasonally adjusted domestic variables
                  ordered as: oil exports, exchange rate returns, money supply growth,
                  inflation, and output growth, estimated over the period 1989q1-2019q4",  
                    covariate.labels = c("$s_{t}$", 
                                         "$s_{t-1}$", 
                                         "$\\Delta x^{0}_{t-1}$",
                                         "$\\Delta e_{f,t-1}$",
                                         "$\\Delta m_{t-1}$",
                                         "$\\Delta p_{t-1}$",
                                         "$\\Delta y_{t-1}$",
                                         "$\\Delta \\overline{y}_{wt}$", 
                                         "$\\Delta \\overline{req}_{wt}$",
                                         "$\\Delta \\overline{e}_{wt}$",                                        
                                         "$\\Delta \\overline{r}_{wt}$",
                                         "$grv_{t}$"), 
                    omit = c("Constant", "SR1", "SR2", "SR3"),
                    align = TRUE, 
                    font.size = "small",
                    column.sep.width = "-15pt" ,
                    omit.stat = c("all"), 
                    no.space = TRUE, 
                    dep.var.caption = c("$\\Delta x^{0}_{t}$"), 
                    type = "text",
                    omit.table.layout = "n",
                    add.lines = list(c("Residual serial", errorsc_coeff),
                                     c("correlation test", errorsc_p),
                                     c("Adjusted $R^{2}$", adjr2)),
                    dep.var.labels.include = FALSE, 
                    out = '../LP Iran Sanctions Results/SVAR estimates/svar5_orderDXO_DXOILrobust.tex')


rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)









# ***DFX -------------------------------------------------------------------
svarx.dfx1 <- lm(d$lfx_free ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1),
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )

adjr2                   <- data.frame(summary(svarx.dfx1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.dfx1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p     <- data.frame(bgtest(svarx.dfx1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dfx2 <- lm(d$lfx_free ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[2,]                   <- data.frame(summary(svarx.dfx2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dfx2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,]     <- data.frame(bgtest(svarx.dfx2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dfx3 <- lm(d$lfx_free ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[3,]                   <- data.frame(summary(svarx.dfx3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dfx3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,]     <- data.frame(bgtest(svarx.dfx3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dfx4 <- lm(d$lfx_free ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[4,]                   <- data.frame(summary(svarx.dfx4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dfx4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,]     <- data.frame(bgtest(svarx.dfx4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dfx5 <- lm(d$lfx_free ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep + da$data.glr,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[5,]                   <- data.frame(summary(svarx.dfx5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dfx5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,]     <- data.frame(bgtest(svarx.dfx5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dfx6 <- lm(d$lfx_free ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep + da$data.glr + grve,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[6,]                   <- data.frame(summary(svarx.dfx6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dfx6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,]     <- data.frame(bgtest(svarx.dfx6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)




errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dfx1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dfx1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2     <- paste(sprintf("%.3f",adjr2$summary.svarx.dfx1..adj.r.squared), collapse = NULL)
serial    <- paste(errorsc_coeff,"$\\;$ ", errorsc_p)



svarx1<-stargazer(svarx.dfx1, svarx.dfx2, svarx.dfx3, svarx.dfx4, svarx.dfx5, svarx.dfx6, 
                  title = "Quarterly estimates of the equation for the rate of change 
                  of the free market  exchange rate in the SVAR model of Iran with 
                  seasonally adjusted domestic variables ordered as: oil exports, 
                  exchange rate returns, money supply growth, inflation, and output growth, 
                  estimated over the period 1989q1-2019q4",  
                  covariate.labels = c("$s_{t}$", 
                                       "$s_{t-1}$", 
                                       "$\\Delta x^{0}_{t}$",
                                       "$\\Delta x^{0}_{t-1}$",                                       
                                       "$\\Delta e_{f,t-1}$",
                                       "$\\Delta m_{t-1}$",
                                       "$\\Delta p_{t-1}$",
                                       "$\\Delta y_{t-1}$",
                                       "$\\Delta \\overline{y}_{wt}$", 
                                       "$\\Delta \\overline{req}_{wt}$",
                                       "$\\Delta \\overline{e}_{wt}$",                                        
                                       "$\\Delta \\overline{r}_{wt}$",
                                       "$grv_{t}$"),
                  omit =c("Constant", "SR1", "SR2", "SR3"),
                  align = TRUE, 
                  font.size = "small",
                  column.sep.width = "-15pt" ,
                  omit.stat = c("all"), 
                  no.space = TRUE, 
                  dep.var.caption = c("$\\Delta e_{ft}$"), 
                  type = "text",
                  omit.table.layout = "n",
                  add.lines = list(c("Residual serial", errorsc_coeff),
                                   c("correlation test", errorsc_p),
                                   c("Adjusted $R^{2}$", adjr2)),
                  dep.var.labels.include = FALSE, 
                  out = '../LP Iran Sanctions Results/SVAR estimates/svar5_orderDXO_DFXrobust.tex')


rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)







# ***DM2 -------------------------------------------------------------------
svarx.dm1 <- lm(dm2 ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo + d$lfx_free 
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2),
                subset(master, date >= "1988Q3" & date <= "2019Q4") )

adjr2                   <- data.frame(summary(svarx.dm1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.dm1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p     <- data.frame(bgtest(svarx.dm1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dm2 <- lm(dm2  ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo + d$lfx_free 
                + lag(dxo,1) + lag(d$lfx_free ,1)  + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[2,]                   <- data.frame(summary(svarx.dm2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dm2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,]     <- data.frame(bgtest(svarx.dm2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dm3 <- lm(dm2 ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo + d$lfx_free
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw + d$lgeq,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[3,]                   <- data.frame(summary(svarx.dm3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dm3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,]     <- data.frame(bgtest(svarx.dm3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dm4 <- lm(dm2 ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo + d$lfx_free 
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw + d$lgeq + d$lgep,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[4,]                   <- data.frame(summary(svarx.dm4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dm4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,]     <- data.frame(bgtest(svarx.dm4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dm5 <- lm(dm2 ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo + d$lfx_free
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw + d$lgeq + d$lgep + da$data.glr,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[5,]                   <- data.frame(summary(svarx.dm5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dm5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,]     <- data.frame(bgtest(svarx.dm5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dm6 <- lm(dm2 ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo + d$lfx_free
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw + d$lgeq + d$lgep + da$data.glr + grve,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[6,]                   <- data.frame(summary(svarx.dm6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dm6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,]     <- data.frame(bgtest(svarx.dm6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)




errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dm1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dm1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2     <- paste(sprintf("%.3f",adjr2$summary.svarx.dm1..adj.r.squared), collapse = NULL)
serial    <- paste(errorsc_coeff,"$\\;$ ", errorsc_p)



svarx1<-stargazer(svarx.dm1, svarx.dm2, svarx.dm3, svarx.dm4, svarx.dm5, svarx.dm6,
                  title = "Quarterly estimates of the equation for money growth
                  in the SVAR model of Iran with seasonally adjusted domestic 
                  variables ordered as: oil exports, exchange rate returns, 
                  money supply growth, inflation, and output growth, 
                  estimated over the period 1989q1-2019q4",  
                  covariate.labels = c("$s_{t}$", 
                                       "$s_{t-1}$", 
                                       "$\\Delta x^{0}_{t}$",
                                       "$\\Delta e_{f,t}$",
                                       "$\\Delta x^{0}_{t-1}$",                                        
                                       "$\\Delta e_{f,t-1}$",
                                       "$\\Delta m_{t-1}$",
                                       "$\\Delta p_{t-1}$", 
                                       "$\\Delta y_{t-1}$",
                                       "$\\Delta p_{t-2}$",
                                       "$\\Delta \\overline{y}_{wt}$", 
                                       "$\\Delta \\overline{req}_{wt}$",
                                       "$\\Delta \\overline{e}_{wt}$",                                        
                                       "$\\Delta \\overline{r}_{wt}$",
                                       "$grv_{t}$"),
                  omit = c("Constant", "SR1", "SR2", "SR3"),
                  align = TRUE, 
                  font.size = "small",
                  column.sep.width = "-15pt" ,
                  omit.stat = c("all"), 
                  no.space = TRUE, 
                  dep.var.caption = c("$\\Delta m_{t}$"), 
                  type = "text",
                  omit.table.layout = "n",
                  add.lines = list(c("Residual serial", errorsc_coeff),
                                   c("correlation test", errorsc_p),
                                   c("Adjusted $R^{2}$", adjr2)),
                  dep.var.labels.include = FALSE, 
                  out = '../LP Iran Sanctions Results/SVAR estimates/svar5_orderDXO_DM2robust.tex')


rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)





# ***DP -------------------------------------------------------------------
svarx.dp1 <- lm(d$lp ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo + d$lfx_free  + dm2
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2),
                subset(master, date >= "1988Q3" & date <= "2019Q4") )

adjr2                   <- data.frame(summary(svarx.dp1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.dp1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p     <- data.frame(bgtest(svarx.dp1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dp2 <- lm(d$lp  ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo + d$lfx_free + dm2
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[2,]                   <- data.frame(summary(svarx.dp2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dp2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,]     <- data.frame(bgtest(svarx.dp2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dp3 <- lm(d$lp ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo + d$lfx_free + dm2
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2) 
                + d$lyw + d$lgeq,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[3,]                   <- data.frame(summary(svarx.dp3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dp3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,]     <- data.frame(bgtest(svarx.dp3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dp4 <- lm(d$lp ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo + d$lfx_free + dm2
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2) 
                + d$lyw + d$lgeq + d$lgep,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[4,]                   <- data.frame(summary(svarx.dp4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dp4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,]     <- data.frame(bgtest(svarx.dp4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dp5 <- lm(d$lp ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo + d$lfx_free + dm2
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw + d$lgeq + d$lgep + da$data.glr,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[5,]                   <- data.frame(summary(svarx.dp5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dp5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,]     <- data.frame(bgtest(svarx.dp5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dp6 <- lm(d$lp ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo + d$lfx_free + dm2
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw + d$lgeq + d$lgep + da$data.glr + grve,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[6,]                   <- data.frame(summary(svarx.dp6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dp6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,]     <- data.frame(bgtest(svarx.dp6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)




errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dp1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dp1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2     <- paste(sprintf("%.3f",adjr2$summary.svarx.dp1..adj.r.squared), collapse = NULL)
serial    <- paste(errorsc_coeff,"$\\;$ ", errorsc_p)



svarx1 <- stargazer(svarx.dp1, svarx.dp2, svarx.dp3, svarx.dp4, svarx.dp5, svarx.dp6,
                    title = "Quarterly estimates of the equation for inflation 
                  in the SVAR model of Iran with seasonally adjusted domestic
                  variables ordered as: oil exports, exchange rate returns, 
                  money supply growth, inflation,
                  and output growth, estimated over the period 1989q1-2019q4",  
                    covariate.labels = c("$s_{t}$", 
                                         "$s_{t-1}$", 
                                         "$\\Delta x^{0}_{t}$",
                                         "$\\Delta e_{f,t}$",
                                         "$\\Delta m_{t}$",
                                         "$\\Delta x^{0}_{t-1}$", 
                                         "$\\Delta e_{f,t-1}$",
                                         "$\\Delta m_{t-1}$",
                                         "$\\Delta p_{t-1}$", 
                                         "$\\Delta y_{t-1}$", 
                                         "$\\Delta p_{t-2}$",
                                         "$\\Delta \\overline{y}_{wt}$", 
                                         "$\\Delta \\overline{req}_{wt}$",
                                         "$\\Delta \\overline{e}_{wt}$",                                        
                                         "$\\Delta \\overline{r}_{wt}$",
                                         "$grv_{t}$"), 
                    omit =c("Constant", "SR1", "SR2", "SR3"),
                    align = TRUE, 
                    font.size = "small",
                    column.sep.width = "-15pt" ,
                    omit.stat = c("all"), 
                    no.space = TRUE, 
                    dep.var.caption = c("$\\Delta p_{t}$"), 
                    type = "text",
                    omit.table.layout = "n",
                    add.lines = list(c("Residual serial", errorsc_coeff),
                                     c("correlation test", errorsc_p),
                                     c("Adjusted $R^{2}$", adjr2)),
                    dep.var.labels.include = FALSE, 
                    out = '../LP Iran Sanctions Results/SVAR estimates/svar5_orderDXO_DProbust.tex')


rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)







# ***DY -------------------------------------------------------------------
svarx.dy1 <- lm(d$ly ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo + d$lfx_free + dm2 + d$lp
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1),
                subset(master, date >= "1988Q4" & date <= "2019Q4") )

adjr2                   <- data.frame(summary(svarx.dy1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.dy1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p     <- data.frame(bgtest(svarx.dy1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy2 <- lm(d$ly  ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo + d$lfx_free + dm2 + d$lp
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                + d$lyw,
                subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[2,]                   <- data.frame(summary(svarx.dy2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dy2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,]     <- data.frame(bgtest(svarx.dy2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy3 <- lm(d$ly ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo + d$lfx_free  + dm2 + d$lp
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                + d$lyw + d$lgeq,
                subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[3,]                   <- data.frame(summary(svarx.dy3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dy3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,]     <- data.frame(bgtest(svarx.dy3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy4 <- lm(d$ly ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo + d$lfx_free + dm2 + d$lp
                + lag(dxo,1) + lag(d$lfx_free ,1)  + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                + d$lyw + d$lgeq + d$lgep,
                subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[4,]                   <- data.frame(summary(svarx.dy4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dy4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,]     <- data.frame(bgtest(svarx.dy4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy5 <- lm(d$ly ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo + d$lfx_free  + dm2 + d$lp
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                + d$lyw + d$lgeq + d$lgep + da$data.glr,
                subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[5,]                   <- data.frame(summary(svarx.dy5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dy5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,]     <- data.frame(bgtest(svarx.dy5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dy6 <- lm(d$ly ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo + d$lfx_free + dm2 + d$lp
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                + d$lyw + d$lgeq + d$lgep + da$data.glr + grve,
                subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[6,]                   <- data.frame(summary(svarx.dy6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dy6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,]     <- data.frame(bgtest(svarx.dy6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dy1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dy1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2     <- paste(sprintf("%.3f",adjr2$summary.svarx.dy1..adj.r.squared), collapse = NULL)
serial    <- paste(errorsc_coeff,"$\\;$ ", errorsc_p)



svarx1 <- stargazer(svarx.dy1, svarx.dy2, svarx.dy3, svarx.dy4, svarx.dy5, svarx.dy6,
                    title = "Quarterly estimates of the equation for output growth
                  in the SVAR model of Iran with seasonally adjusted 
                  domestic variables ordered as: oil exports, exchange rate returns, 
                  money supply growth, inflation,
                  and output growth, estimated over the period 1989q1-2019q4",  
                    covariate.labels = c("$s_{t}$", 
                                         "$s_{t-1}$", 
                                         "$\\Delta x^{0}_{t}$",
                                         "$\\Delta e_{f,t}$",
                                         "$\\Delta m_{t}$",
                                         "$\\Delta p_{t}$",
                                         "$\\Delta x^{0}_{t-1}$", 
                                         "$\\Delta e_{f,t-1}$",
                                         "$\\Delta m_{t-1}$",
                                         "$\\Delta p_{t-1}$", 
                                         "$\\Delta y_{t-1}$", 
                                         "$\\Delta \\overline{y}_{wt}$", 
                                         "$\\Delta \\overline{req}_{wt}$",
                                         "$\\Delta \\overline{e}_{wt}$",                                        
                                         "$\\Delta \\overline{r}_{wt}$",
                                         "$grv_{t}$"), 
                    omit = c("Constant", "SR1", "SR2", "SR3"),
                    align = TRUE, 
                    font.size = "small",
                    column.sep.width = "-15pt" ,
                    omit.stat = c("all"), 
                    no.space = TRUE, 
                    dep.var.caption = c("$\\Delta y_{t}$"), 
                    type = "text",
                    omit.table.layout = "n",
                    add.lines = list(c("Residual serial", errorsc_coeff),
                                     c("correlation test", errorsc_p),
                                     c("Adjusted $R^{2}$", adjr2)),
                    dep.var.labels.include = FALSE, 
                    out = '../LP Iran Sanctions Results/SVAR estimates/svar5_orderDXO_DYrobust.tex')


rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)










# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
# # # # # # # # # # # # # # # # 1.B # # # # # # # # # # # # # # # # # # # # # #
# # # --------------- SVAR {dxo, dfx, dp, dy} ADJ -----------------------------
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 

# ***DXOIL -------------------------------------------------------------------
svarx.dxo1 <- lm(dxo ~  SR1 + SR2 + SR3 + s + lag(s,1) 
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1),
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )

adjr2                   <- data.frame(summary(svarx.dxo1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.dxo1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p     <- data.frame(bgtest(svarx.dxo1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dxo2 <- lm(dxo  ~  SR1 + SR2 + SR3 + s + lag(s,1)
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[2,]                   <- data.frame(summary(svarx.dxo2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dxo2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,]     <- data.frame(bgtest(svarx.dxo2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dxo3 <- lm(dxo ~  SR1 + SR2 + SR3 + s + lag(s,1)
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[3,]                   <- data.frame(summary(svarx.dxo3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dxo3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,]     <- data.frame(bgtest(svarx.dxo3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dxo4 <- lm(dxo ~  SR1 + SR2 + SR3 + s + lag(s,1)
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[4,]                   <- data.frame(summary(svarx.dxo4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dxo4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,]     <- data.frame(bgtest(svarx.dxo4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dxo5 <- lm(dxo ~  SR1 + SR2 + SR3 + s + lag(s,1)
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep + da$data.glr,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[5,]                   <- data.frame(summary(svarx.dxo5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dxo5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,]     <- data.frame(bgtest(svarx.dxo5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dxo6 <- lm(dxo ~  SR1 + SR2 + SR3 + s + lag(s,1)
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep + da$data.glr + grve,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[6,]                   <- data.frame(summary(svarx.dxo6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dxo6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,]     <- data.frame(bgtest(svarx.dxo6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dxo1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dxo1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2     <- paste(sprintf("%.3f",adjr2$summary.svarx.dxo1..adj.r.squared), collapse = NULL)
serial    <- paste(errorsc_coeff,"$\\;$ ", errorsc_p)



svarx1<-stargazer(svarx.dxo1, svarx.dxo2, svarx.dxo3, svarx.dxo4, svarx.dxo5, svarx.dxo6,
                  title = "Quarterly estimates of the equation for the oil exports variable
                  in the SVAR model of Iran with seasonally adjusted domestic 
                  variables ordered as: oil exports, exchange rate returns, inflation,
                  and output growth, estimated over the period 1989q1-2019q4",  
                  covariate.labels = c("$s_{t}$", 
                                       "$s_{t-1}$", 
                                       "$\\Delta x^{0}_{t-1}$", 
                                       "$\\Delta e_{f,t-1}$",
                                       "$\\Delta p_{t-1}$", 
                                       "$\\Delta y_{t-1}$",
                                       "$\\Delta \\overline{y}_{wt}$", 
                                       "$\\Delta \\overline{req}_{wt}$",
                                       "$\\Delta \\overline{e}_{wt}$",                                        
                                       "$\\Delta \\overline{r}_{wt}$",
                                       "$grv_{t}$"),
                  omit =c("Constant", "SR1", "SR2", "SR3"),
                  align = TRUE, 
                  font.size = "small",
                  column.sep.width = "-15pt" ,
                  omit.stat = c("all"), 
                  no.space = TRUE, 
                  dep.var.caption = c("$\\Delta x^{0}_{t}$"), 
                  type = "text",
                  omit.table.layout = "n",
                  add.lines = list(c("Residual serial", errorsc_coeff),
                                   c("correlation test", errorsc_p),
                                   c("Adjusted $R^{2}$", adjr2)),
                  dep.var.labels.include = FALSE, 
                  out = '../LP Iran Sanctions Results/SVAR estimates/svar4orderDXO_noM2ADJ_DXOILrobust.tex')


rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)




# ***DFX -------------------------------------------------------------------
svarx.dfx1 <- lm(d$lfx_free ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1),
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )

adjr2                   <- data.frame(summary(svarx.dfx1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.dfx1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p     <- data.frame(bgtest(svarx.dfx1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dfx2 <- lm(d$lfx_free ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[2,]                   <- data.frame(summary(svarx.dfx2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dfx2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,]     <- data.frame(bgtest(svarx.dfx2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dfx3 <- lm(d$lfx_free ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[3,]                   <- data.frame(summary(svarx.dfx3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dfx3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,]     <- data.frame(bgtest(svarx.dfx3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dfx4 <- lm(d$lfx_free ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[4,]                   <- data.frame(summary(svarx.dfx4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dfx4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,]     <- data.frame(bgtest(svarx.dfx4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dfx5 <- lm(d$lfx_free ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep + da$data.glr,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[5,]                   <- data.frame(summary(svarx.dfx5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dfx5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,]     <- data.frame(bgtest(svarx.dfx5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dfx6 <- lm(d$lfx_free ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep + da$data.glr + grve,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[6,]                   <- data.frame(summary(svarx.dfx6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dfx6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,]     <- data.frame(bgtest(svarx.dfx6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dfx1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p     <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dfx1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2         <- paste(sprintf("%.3f",adjr2$summary.svarx.dfx1..adj.r.squared), collapse = NULL)
serial        <- paste(errorsc_coeff,"$\\;$ ", errorsc_p)



svarx1<-stargazer(svarx.dfx1, svarx.dfx2, svarx.dfx3, svarx.dfx4, svarx.dfx5, svarx.dfx6,
                  title = "Quarterly estimates of the equation for  exchange rate returns
                  in the SVAR model of Iran with seasonally adjusted domestic 
                  variables ordered as: oil exports, exchange rate returns, inflation,
                  and output growth, estimated over the period 1989q1-2019q4",  
                  covariate.labels = c("$s_{t}$", 
                                       "$s_{t-1}$", 
                                       "$\\Delta x^{0}_{t}$",
                                       "$\\Delta x^{0}_{t-1}$", 
                                       "$\\Delta e_{f,t-1}$",
                                       "$\\Delta p_{t-1}$", 
                                       "$\\Delta y_{t-1}$", 
                                       "$\\Delta \\overline{y}_{wt}$", 
                                       "$\\Delta \\overline{req}_{wt}$",
                                       "$\\Delta \\overline{e}_{wt}$",                                        
                                       "$\\Delta \\overline{r}_{wt}$",
                                       "$grv_{t}$"),
                  omit =c("Constant", "SR1", "SR2", "SR3"),
                  align = TRUE, 
                  font.size = "small",
                  column.sep.width = "-15pt" ,
                  omit.stat = c("all"), 
                  no.space = TRUE, 
                  dep.var.caption = c("$\\Delta e_{ft}$"), 
                  type = "text",
                  omit.table.layout = "n",
                  add.lines = list(c("Residual serial", errorsc_coeff),
                                   c("correlation test", errorsc_p),
                                   c("Adjusted $R^{2}$", adjr2)),
                  dep.var.labels.include = FALSE, 
                  out = '../LP Iran Sanctions Results/SVAR estimates/svar4orderDXO_noM2ADJ_DFXrobust.tex')


rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)






# ***DP -------------------------------------------------------------------
svarx.dp1 <- lm(d$lp ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo + d$lfx_free
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2),
                subset(master, date >= "1988Q3" & date <= "2019Q4") )

adjr2                   <- data.frame(summary(svarx.dp1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.dp1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p     <- data.frame(bgtest(svarx.dp1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dp2 <- lm(d$lp  ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo + d$lfx_free
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[2,]                   <- data.frame(summary(svarx.dp2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dp2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,]     <- data.frame(bgtest(svarx.dp2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dp3 <- lm(d$lp ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo + d$lfx_free 
                + lag(dxo,1) + lag(d$lfx_free ,1)  + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw  + d$lgeq,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[3,]                   <- data.frame(summary(svarx.dp3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dp3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,]     <- data.frame(bgtest(svarx.dp3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dp4 <- lm(d$lp ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo + d$lfx_free
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw + d$lgeq + d$lgep,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[4,]                   <- data.frame(summary(svarx.dp4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dp4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,]     <- data.frame(bgtest(svarx.dp4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dp5 <- lm(d$lp ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo + d$lfx_free
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw + d$lgeq + d$lgep + da$data.glr,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[5,]                   <- data.frame(summary(svarx.dp5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dp5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,]     <- data.frame(bgtest(svarx.dp5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dp6 <- lm(d$lp ~  SR1 + SR2 + SR3 + s + lag(s,1)  + dxo + d$lfx_free
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw + d$lgeq + d$lgep + da$data.glr + grve,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[6,]                   <- data.frame(summary(svarx.dp6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dp6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,]     <- data.frame(bgtest(svarx.dp6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)




errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dp1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dp1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2     <- paste(sprintf("%.3f",adjr2$summary.svarx.dp1..adj.r.squared), collapse = NULL)
serial    <- paste(errorsc_coeff,"$\\;$ ", errorsc_p)



svarx1<-stargazer(svarx.dp1, svarx.dp2, svarx.dp3, svarx.dp4, svarx.dp5, svarx.dp6, 
                  title = "Quarterly estimates of the equation for inflation
                  in the SVAR model of Iran with seasonally adjusted domestic 
                  variables ordered as: oil exports, exchange rate returns, inflation,
                  and output growth, estimated over the period 1989q1-2019q4",  
                  covariate.labels = c("$s_{t}$", 
                                       "$s_{t-1}$", 
                                       "$\\Delta x^{0}_{t}$",
                                       "$\\Delta e_{f,t}$",
                                       "$\\Delta x^{0}_{t-1}$",
                                       "$\\Delta e_{f,t-1}$",
                                       "$\\Delta p_{t-1}$",
                                       "$\\Delta y_{t-1}$",
                                       "$\\Delta p_{t-2}$",
                                       "$\\Delta \\overline{y}_{wt}$", 
                                       "$\\Delta \\overline{req}_{wt}$",
                                       "$\\Delta \\overline{e}_{wt}$",                                        
                                       "$\\Delta \\overline{r}_{wt}$",
                                       "$grv_{t}$"), 
                  omit =c("Constant", "SR1", "SR2", "SR3"),
                  align = TRUE, 
                  font.size = "small",
                  column.sep.width = "-15pt" ,
                  omit.stat = c("all"), 
                  no.space = TRUE, 
                  dep.var.caption = c("$\\Delta p_{t}$"), 
                  type = "text",
                  omit.table.layout = "n",
                  add.lines = list(c("Residual serial", errorsc_coeff),
                                   c("correlation test", errorsc_p),
                                   c("Adjusted $R^{2}$", adjr2)),
                  dep.var.labels.include = FALSE, 
                  out = '../LP Iran Sanctions Results/SVAR estimates/svar4orderDXO_noM2ADJ_DProbust.tex')


rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)







# ***DY -------------------------------------------------------------------
svarx.dy1 <- lm(d$ly ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo + d$lfx_free + d$lp
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1),
                subset(master, date >= "1988Q4" & date <= "2019Q4") )

adjr2                   <- data.frame(summary(svarx.dy1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.dy1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p     <- data.frame(bgtest(svarx.dy1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy2 <- lm(d$ly  ~  SR1 + SR2 + SR3 + s + lag(s,1)  + dxo  + d$lfx_free+ d$lp
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1)
                + d$lyw,
                subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[2,]                   <- data.frame(summary(svarx.dy2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dy2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,]     <- data.frame(bgtest(svarx.dy2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy3 <- lm(d$ly ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo + d$lfx_free + d$lp
                + lag(dxo,1) + lag(d$lfx_free ,1)  + lag(d$lp,1) + lag(d$ly,1)
                + d$lyw + d$lgeq,
                subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[3,]                   <- data.frame(summary(svarx.dy3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dy3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,]     <- data.frame(bgtest(svarx.dy3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy4 <- lm(d$ly ~  SR1 + SR2 + SR3 + s + lag(s,1) + dxo + d$lfx_free + d$lp
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1)
                + d$lyw + d$lgeq + d$lgep,
                subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[4,]                   <- data.frame(summary(svarx.dy4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dy4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,]     <- data.frame(bgtest(svarx.dy4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy5 <- lm(d$ly ~  SR1 + SR2 + SR3 + s + lag(s,1)  + dxo + d$lfx_free+ d$lp
                + lag(dxo,1) + lag(d$lfx_free ,1)  + lag(d$lp,1) + lag(d$ly,1)
                + d$lyw + d$lgeq + d$lgep + da$data.glr,
                subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[5,]                   <- data.frame(summary(svarx.dy5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dy5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,]     <- data.frame(bgtest(svarx.dy5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dy6 <- lm(d$ly ~  SR1 + SR2 + SR3 + s + lag(s,1)  + dxo + d$lfx_free + d$lp
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1)
                + d$lyw + d$lgeq + d$lgep + da$data.glr + grve,
                subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[6,]                   <- data.frame(summary(svarx.dy6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dy6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,]     <- data.frame(bgtest(svarx.dy6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)




errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dy1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dy1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2     <- paste(sprintf("%.3f",adjr2$summary.svarx.dy1..adj.r.squared), collapse = NULL)
serial    <- paste(errorsc_coeff,"$\\;$ ", errorsc_p)



svarx1<-stargazer(svarx.dy1, svarx.dy2, svarx.dy3, svarx.dy4, svarx.dy5, svarx.dy6,
                  title = "Quarterly estimates of the equation for output growth
                  in the SVAR model of Iran with seasonally adjusted domestic 
                  variables ordered as: oil exports, exchange rate returns, inflation,
                  and output growth, estimated over the period 1989q1-2019q4",  
                  covariate.labels = c("$s_{t}$", 
                                       "$s_{t-1}$", 
                                       "$\\Delta x^{0}_{t}$",
                                       "$\\Delta e_{f,t}$",
                                       "$\\Delta p_{t}$",
                                       "$\\Delta x^{0}_{t-1}$", 
                                       "$\\Delta e_{f,t-1}$",
                                       "$\\Delta p_{t-1}$", 
                                       "$\\Delta y_{t-1}$", 
                                       "$\\Delta \\overline{y}_{wt}$", 
                                       "$\\Delta \\overline{req}_{wt}$",
                                       "$\\Delta \\overline{e}_{wt}$",                                        
                                       "$\\Delta \\overline{r}_{wt}$",
                                       "$grv_{t}$"), 
                  omit = c("Constant", "SR1", "SR2", "SR3"),
                  align = TRUE, 
                  font.size = "small",
                  column.sep.width = "-15pt" ,
                  omit.stat = c("all"), 
                  no.space = TRUE, 
                  dep.var.caption = c("$\\Delta y_{t}$"), 
                  type = "text",
                  omit.table.layout = "n",
                  add.lines = list(c("Residual serial", errorsc_coeff),
                                   c("correlation test", errorsc_p),
                                   c("Adjusted $R^{2}$", adjr2)),
                  dep.var.labels.include = FALSE, 
                  out = '../LP Iran Sanctions Results/SVAR estimates/svar4orderDXO_noM2ADJ_DYrobust.tex')


rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)






# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
# # # # # # # # # # # # # # # # # 1.C # # # # # # # # # # # # # # # # # # # # #
# # # --------------- SVAR {dxo, dfx, dp, dy} no ADJ --------------------------
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 

# ***DXOIL -------------------------------------------------------------------
svarx.dxo1 <- lm(dxo ~  s + lag(s,1)
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1),
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )

adjr2                   <- data.frame(summary(svarx.dxo1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.dxo1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p     <- data.frame(bgtest(svarx.dxo1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dxo2 <- lm(dxo  ~  s + lag(s,1)
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[2,]                   <- data.frame(summary(svarx.dxo2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dxo2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,]     <- data.frame(bgtest(svarx.dxo2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dxo3 <- lm(dxo ~  s + lag(s,1)
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[3,]                   <- data.frame(summary(svarx.dxo3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dxo3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,]     <- data.frame(bgtest(svarx.dxo3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dxo4 <- lm(dxo ~  s + lag(s,1)
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[4,]                   <- data.frame(summary(svarx.dxo4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dxo4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,]     <- data.frame(bgtest(svarx.dxo4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dxo5 <- lm(dxo ~  s + lag(s,1)
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep + da$data.glr,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[5,]                   <- data.frame(summary(svarx.dxo5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dxo5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,]     <- data.frame(bgtest(svarx.dxo5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dxo6 <- lm(dxo ~  s + lag(s,1)
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep + da$data.glr + grve,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[6,]                   <- data.frame(summary(svarx.dxo6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dxo6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,]     <- data.frame(bgtest(svarx.dxo6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dxo1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dxo1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2     <- paste(sprintf("%.3f",adjr2$summary.svarx.dxo1..adj.r.squared), collapse = NULL)
serial    <- paste(errorsc_coeff,"$\\;$ ", errorsc_p)



svarx1<-stargazer(svarx.dxo1, svarx.dxo2, svarx.dxo3, svarx.dxo4, svarx.dxo5, svarx.dxo6,
                  title = "Quarterly estimates of the equation for the oil exports variable
                  in the SVAR model of Iran with non-seasonally adjusted domestic
                  variables ordered as: oil exports, exchange rate returns, inflation,
                  and output growth, estimated over the period 1989q1-2019q4",  
                  covariate.labels = c("$s_{t}$", 
                                       "$s_{t-1}$", 
                                       "$\\Delta x^{0}_{t-1}$", 
                                       "$\\Delta e_{f,t-1}$",
                                       "$\\Delta p_{t-1}$", 
                                       "$\\Delta y_{t-1}$", 
                                       "$\\Delta \\overline{y}_{wt}$", 
                                       "$\\Delta \\overline{req}_{wt}$",
                                       "$\\Delta \\overline{e}_{wt}$",                                        
                                       "$\\Delta \\overline{r}_{wt}$",
                                       "$grv_{t}$"),
                  omit =c("Constant"),
                  align = TRUE, 
                  font.size = "small",
                  column.sep.width = "-15pt" ,
                  omit.stat = c("all"), 
                  no.space = TRUE, 
                  dep.var.caption = c("$\\Delta x^{0}_{t}$"), 
                  type = "text",
                  omit.table.layout = "n",
                  add.lines = list(c("Residual serial", errorsc_coeff),
                                   c("correlation test", errorsc_p),
                                   c("Adjusted $R^{2}$", adjr2)),
                  dep.var.labels.include = FALSE, 
                  out = '../LP Iran Sanctions Results/SVAR estimates/svar4orderDXO_noM2noADJ_DXOILrobust.tex')


rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)




# ***DFX -------------------------------------------------------------------
svarx.dfx1 <- lm(d$lfx_free ~  s + lag(s,1) + dxo
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1),
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )

adjr2                   <- data.frame(summary(svarx.dfx1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.dfx1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p     <- data.frame(bgtest(svarx.dfx1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dfx2 <- lm(d$lfx_free ~  s + lag(s,1) + dxo
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[2,]                   <- data.frame(summary(svarx.dfx2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dfx2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,]     <- data.frame(bgtest(svarx.dfx2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dfx3 <- lm(d$lfx_free ~  s + lag(s,1) + dxo
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[3,]                   <- data.frame(summary(svarx.dfx3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dfx3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,]     <- data.frame(bgtest(svarx.dfx3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dfx4 <- lm(d$lfx_free ~  s + lag(s,1) + dxo
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[4,]                   <- data.frame(summary(svarx.dfx4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dfx4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,]     <- data.frame(bgtest(svarx.dfx4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dfx5 <- lm(d$lfx_free ~  s + lag(s,1) + dxo
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep + da$data.glr,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[5,]                   <- data.frame(summary(svarx.dfx5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dfx5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,]     <- data.frame(bgtest(svarx.dfx5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dfx6 <- lm(d$lfx_free ~  s + lag(s,1) + dxo
                 + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep + da$data.glr + grve,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[6,]                   <- data.frame(summary(svarx.dfx6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dfx6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,]     <- data.frame(bgtest(svarx.dfx6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dfx1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dfx1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2     <- paste(sprintf("%.3f",adjr2$summary.svarx.dfx1..adj.r.squared), collapse = NULL)
serial    <- paste(errorsc_coeff,"$\\;$ ", errorsc_p)



svarx1<-stargazer(svarx.dfx1, svarx.dfx2, svarx.dfx3, svarx.dfx4, svarx.dfx5, svarx.dfx6,
                  title = "Quarterly estimates of the equation for  exchange rate returns
                  in the SVAR model of Iran with non-seasonally adjusted domestic
                  variables ordered as: oil exports, exchange rate returns, inflation,
                  and output growth, estimated over the period 1989q1-2019q4",  
                  covariate.labels = c("$s_{t}$", 
                                       "$s_{t-1}$", 
                                       "$\\Delta x^{0}_{t}$",
                                       "$\\Delta x^{0}_{t-1}$", 
                                       "$\\Delta e_{f,t-1}$",
                                       "$\\Delta p_{t-1}$", 
                                       "$\\Delta y_{t-1}$", 
                                       "$\\Delta \\overline{y}_{wt}$", 
                                       "$\\Delta \\overline{req}_{wt}$",
                                       "$\\Delta \\overline{e}_{wt}$",                                        
                                       "$\\Delta \\overline{r}_{wt}$",
                                       "$grv_{t}$"),
                  omit =c("Constant"),
                  align = TRUE, 
                  font.size = "small",
                  column.sep.width = "-15pt" ,
                  omit.stat = c("all"), 
                  no.space = TRUE, 
                  dep.var.caption = c("$\\Delta e_{ft}$"), 
                  type = "text",
                  omit.table.layout = "n",
                  add.lines = list(c("Residual serial", errorsc_coeff),
                                   c("correlation test", errorsc_p),
                                   c("Adjusted $R^{2}$", adjr2)),
                  dep.var.labels.include = FALSE, 
                  out = '../LP Iran Sanctions Results/SVAR estimates/svar4orderDXO_noM2noADJ_DFXrobust.tex')


rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)










# ***DP -------------------------------------------------------------------
svarx.dp1 <- lm(d$lp ~  s + lag(s,1) + dxo + d$lfx_free
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2),
                subset(master, date >= "1988Q3" & date <= "2019Q4") )

adjr2                   <- data.frame(summary(svarx.dp1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.dp1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p     <- data.frame(bgtest(svarx.dp1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dp2 <- lm(d$lp  ~  s + lag(s,1) + dxo + d$lfx_free
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2) 
                + d$lyw,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[2,]                   <- data.frame(summary(svarx.dp2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dp2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,]     <- data.frame(bgtest(svarx.dp2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dp3 <- lm(d$lp ~  s + lag(s,1) + dxo + d$lfx_free 
                + lag(dxo,1) + lag(d$lfx_free ,1)  + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw  + d$lgeq,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[3,]                   <- data.frame(summary(svarx.dp3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dp3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,]     <- data.frame(bgtest(svarx.dp3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dp4 <- lm(d$lp ~  s + lag(s,1) + dxo + d$lfx_free
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2) 
                + d$lyw + d$lgeq + d$lgep,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[4,]                   <- data.frame(summary(svarx.dp4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dp4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,]     <- data.frame(bgtest(svarx.dp4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dp5 <- lm(d$lp ~  s + lag(s,1) + dxo + d$lfx_free
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw + d$lgeq + d$lgep + da$data.glr,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[5,]                   <- data.frame(summary(svarx.dp5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dp5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,]     <- data.frame(bgtest(svarx.dp5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dp6 <- lm(d$lp ~  s + lag(s,1)  + dxo + d$lfx_free
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw + d$lgeq + d$lgep + da$data.glr + grve,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[6,]                   <- data.frame(summary(svarx.dp6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dp6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,]     <- data.frame(bgtest(svarx.dp6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)




errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dp1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dp1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2     <- paste(sprintf("%.3f",adjr2$summary.svarx.dp1..adj.r.squared), collapse = NULL)
serial    <- paste(errorsc_coeff,"$\\;$ ", errorsc_p)



svarx1<-stargazer(svarx.dp1, svarx.dp2, svarx.dp3, svarx.dp4, svarx.dp5, svarx.dp6, 
                  title = "Quarterly estimates of the equation for inflation
                  in the SVAR model of Iran with non-seasonally adjusted 
                  domestic variables ordered as: oil exports, exchange rate returns,  
                  inflation, and output growth, estimated over the period 1989q1-2019q4",  
                  covariate.labels = c("$s_{t}$", 
                                       "$s_{t-1}$", 
                                       "$\\Delta x^{0}_{t}$",
                                       "$\\Delta e_{f,t}$",
                                       "$\\Delta x^{0}_{t-1}$",
                                       "$\\Delta e_{f,t-1}$",
                                       "$\\Delta p_{t-1}$",
                                       "$\\Delta y_{t-1}$",
                                       "$\\Delta p_{t-2}$",
                                       "$\\Delta \\overline{y}_{wt}$", 
                                       "$\\Delta \\overline{req}_{wt}$",
                                       "$\\Delta \\overline{e}_{wt}$",                                        
                                       "$\\Delta \\overline{r}_{wt}$",
                                       "$grv_{t}$"), 
                  omit =c("Constant"),
                  align = TRUE, 
                  font.size = "small",
                  column.sep.width = "-15pt" ,
                  omit.stat = c("all"), 
                  no.space = TRUE, 
                  dep.var.caption = c("$\\Delta p_{t}$"), 
                  type = "text",
                  omit.table.layout = "n",
                  add.lines = list(c("Residual serial", errorsc_coeff),
                                   c("correlation test", errorsc_p),
                                   c("Adjusted $R^{2}$", adjr2)),
                  dep.var.labels.include = FALSE, 
                  out = '../LP Iran Sanctions Results/SVAR estimates/svar4orderDXO_noM2noADJ_DProbust.tex')


rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)







# ***DY -------------------------------------------------------------------
svarx.dy1 <- lm(d$ly ~  s + lag(s,1) + dxo + d$lfx_free + d$lp
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1),
                subset(master, date >= "1988Q4" & date <= "2019Q4") )

adjr2                   <- data.frame(summary(svarx.dy1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.dy1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p     <- data.frame(bgtest(svarx.dy1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy2 <- lm(d$ly  ~  s + lag(s,1)  + dxo  + d$lfx_free+ d$lp
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1)
                + d$lyw,
                subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[2,]                   <- data.frame(summary(svarx.dy2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dy2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,]     <- data.frame(bgtest(svarx.dy2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy3 <- lm(d$ly ~  s + lag(s,1) + dxo + d$lfx_free + d$lp
                + lag(dxo,1) + lag(d$lfx_free ,1)  + lag(d$lp,1) + lag(d$ly,1)
                + d$lyw + d$lgeq,
                subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[3,]                   <- data.frame(summary(svarx.dy3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dy3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,]     <- data.frame(bgtest(svarx.dy3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy4 <- lm(d$ly ~  s + lag(s,1) + dxo + d$lfx_free + d$lp
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1)
                + d$lyw + d$lgeq + d$lgep,
                subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[4,]                   <- data.frame(summary(svarx.dy4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dy4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,]     <- data.frame(bgtest(svarx.dy4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy5 <- lm(d$ly ~  s + lag(s,1)  + dxo + d$lfx_free+ d$lp
                + lag(dxo,1) + lag(d$lfx_free ,1)  + lag(d$lp,1) + lag(d$ly,1)
                + d$lyw + d$lgeq + d$lgep + da$data.glr,
                subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[5,]                   <- data.frame(summary(svarx.dy5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dy5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,]     <- data.frame(bgtest(svarx.dy5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dy6 <- lm(d$ly ~  s + lag(s,1)  + dxo + d$lfx_free + d$lp
                + lag(dxo,1) + lag(d$lfx_free ,1) + lag(d$lp,1) + lag(d$ly,1)
                + d$lyw + d$lgeq + d$lgep + da$data.glr + grve,
                subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[6,]                   <- data.frame(summary(svarx.dy6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dy6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,]     <- data.frame(bgtest(svarx.dy6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)




errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dy1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p     <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dy1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2         <- paste(sprintf("%.3f",adjr2$summary.svarx.dy1..adj.r.squared), collapse = NULL)
serial        <- paste(errorsc_coeff,"$\\;$ ", errorsc_p)



svarx1<-stargazer(svarx.dy1, svarx.dy2, svarx.dy3, svarx.dy4, svarx.dy5, svarx.dy6,
                  title = "Quarterly estimates of the equation for output growth
                  in the SVAR model of Iran with non-seasonally adjusted domestic
                  variables ordered as: oil exports, exchange rate returns, inflation,
                  and output growth, estimated over the period 1989q1-2019q4",  
                  covariate.labels = c("$s_{t}$", 
                                       "$s_{t-1}$", 
                                       "$\\Delta x^{0}_{t}$",
                                       "$\\Delta e_{f,t}$",
                                       "$\\Delta p_{t}$",
                                       "$\\Delta x^{0}_{t-1}$", 
                                       "$\\Delta e_{f,t-1}$",
                                       "$\\Delta p_{t-1}$",
                                       "$\\Delta y_{t-1}$",
                                       "$\\Delta \\overline{y}_{wt}$", 
                                       "$\\Delta \\overline{req}_{wt}$",
                                       "$\\Delta \\overline{e}_{wt}$",                                        
                                       "$\\Delta \\overline{r}_{wt}$",
                                       "$grv_{t}$"), 
                  omit = c("Constant"),
                  align = TRUE, 
                  font.size = "small",
                  column.sep.width = "-15pt" ,
                  omit.stat = c("all"), 
                  no.space = TRUE, 
                  dep.var.caption = c("$\\Delta y_{t}$"), 
                  type = "text",
                  omit.table.layout = "n",
                  add.lines = list(c("Residual serial", errorsc_coeff),
                                   c("correlation test", errorsc_p),
                                   c("Adjusted $R^{2}$", adjr2)),
                  dep.var.labels.include = FALSE, 
                  out = '../LP Iran Sanctions Results/SVAR estimates/svar4orderDXO_noM2noADJ_DYrobust.tex')


rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)












# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
# # # # # # # # # # # # # # # # # # 2.A  # # # # # # # # # # # # # # # # # # # 
# # # ------------------- SVAR {dfx, dxo, dm2, dp, dy} ------------------------
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

# ***DFX -------------------------------------------------------------------
svarx.dfx1 <- lm(d$lfx_free ~  SR1 + SR2 + SR3 + s + lag(s,1) 
                 + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1),
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )

adjr2                   <- data.frame(summary(svarx.dfx1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.dfx1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p     <- data.frame(bgtest(svarx.dfx1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dfx2 <- lm(d$lfx_free ~  SR1 + SR2 + SR3 + s + lag(s,1) 
                 + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[2,]                   <- data.frame(summary(svarx.dfx2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dfx2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,]     <- data.frame(bgtest(svarx.dfx2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)

svarx.dfx3 <- lm(d$lfx_free ~  SR1 + SR2 + SR3 + s + lag(s,1) 
                 + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[3,]                   <- data.frame(summary(svarx.dfx3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dfx3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,]     <- data.frame(bgtest(svarx.dfx3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dfx4 <- lm(d$lfx_free ~  SR1 + SR2 + SR3 + s + lag(s,1) 
                 + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[4,]                   <- data.frame(summary(svarx.dfx4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dfx4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,]     <- data.frame(bgtest(svarx.dfx4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dfx5 <- lm(d$lfx_free ~  SR1 + SR2 + SR3 + s + lag(s,1) 
                 + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep + da$data.glr,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[5,]                   <- data.frame(summary(svarx.dfx5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dfx5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,]     <- data.frame(bgtest(svarx.dfx5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dfx6 <- lm(d$lfx_free ~  SR1 + SR2 + SR3 + s + lag(s,1) 
                 + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep + da$data.glr + grve,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[6,]                   <- data.frame(summary(svarx.dfx6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dfx6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,]     <- data.frame(bgtest(svarx.dfx6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dfx1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dfx1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2     <- paste(sprintf("%.3f",adjr2$summary.svarx.dfx1..adj.r.squared), collapse = NULL)
serial    <- paste(errorsc_coeff,"$\\;$ ", errorsc_p)




svarx1<-stargazer(svarx.dfx1, svarx.dfx2, svarx.dfx3, svarx.dfx4, svarx.dfx5, svarx.dfx6,
                  title = "Quarterly estimates of the equation for the rate of change
                  of the free market  exchange rate in the SVAR model of Iran with
                  seasonally adjusted domestic variables ordered as:  exchange rate returns, 
                  oil exports, money supply growth, inflation, and output growth, 
                  estimated over the period 1989q1-2019q4",  
                  covariate.labels = c("$s_{t}$", 
                                       "$s_{t-1}$", 
                                       "$\\Delta e_{f,t-1}$",
                                       "$\\Delta x^{0}_{t-1}$", 
                                       "$\\Delta m_{t-1}$",
                                       "$\\Delta p_{t-1}$", 
                                       "$\\Delta y_{t-1}$",
                                       "$\\Delta \\overline{y}_{wt}$", 
                                       "$\\Delta \\overline{req}_{wt}$",
                                       "$\\Delta \\overline{e}_{wt}$",                                        
                                       "$\\Delta \\overline{r}_{wt}$",
                                       "$grv_{t}$"), 
                  omit =c("Constant", "SR1", "SR2", "SR3"),
                  align = TRUE, 
                  font.size = "small",
                  column.sep.width = "-15pt" ,
                  omit.stat = c("all"), 
                  no.space = TRUE, 
                  dep.var.caption = c("$\\Delta e_{ft}$"), 
                  type = "text",
                  omit.table.layout = "n",
                  add.lines = list(c("Residual serial", errorsc_coeff),
                                   c("correlation test", errorsc_p),
                                   c("Adjusted $R^{2}$", adjr2)),
                  dep.var.labels.include = FALSE, 
                  out = '../LP Iran Sanctions Results/SVAR estimates/svar5_orderDFX_DFXrobust.tex')


rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)




# ***DXOIL -------------------------------------------------------------------
svarx.dxo1 <- lm(dxo ~  SR1 + SR2 + SR3 + s + lag(s,1) + d$lfx_free
                 + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1),
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )

adjr2                   <- data.frame(summary(svarx.dxo1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.dxo1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p     <- data.frame(bgtest(svarx.dxo1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dxo2 <- lm(dxo  ~  SR1 + SR2 + SR3 + s + lag(s,1) + d$lfx_free
                 + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[2,]                   <- data.frame(summary(svarx.dxo2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dxo2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,]     <- data.frame(bgtest(svarx.dxo2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dxo3 <- lm(dxo ~  SR1 + SR2 + SR3 + s + lag(s,1) + d$lfx_free
                 + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[3,]                   <- data.frame(summary(svarx.dxo3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dxo3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,]     <- data.frame(bgtest(svarx.dxo3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dxo4 <- lm(dxo ~  SR1 + SR2 + SR3 + s + lag(s,1) + d$lfx_free
                 + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[4,]                   <- data.frame(summary(svarx.dxo4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dxo4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,]     <- data.frame(bgtest(svarx.dxo4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dxo5 <- lm(dxo ~  SR1 + SR2 + SR3 + s + lag(s,1) + d$lfx_free
                 + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep + da$data.glr,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[5,]                   <- data.frame(summary(svarx.dxo5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dxo5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,]     <- data.frame(bgtest(svarx.dxo5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dxo6 <- lm(dxo ~  SR1 + SR2 + SR3 + s + lag(s,1) + d$lfx_free
                 + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep + da$data.glr + grve,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[6,]                   <- data.frame(summary(svarx.dxo6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dxo6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,]     <- data.frame(bgtest(svarx.dxo6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)




errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dxo1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dxo1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2     <- paste(sprintf("%.3f",adjr2$summary.svarx.dxo1..adj.r.squared), collapse = NULL)
serial    <- paste(errorsc_coeff,"$\\;$ ", errorsc_p)



svarx1<-stargazer(svarx.dxo1, svarx.dxo2, svarx.dxo3, svarx.dxo4, svarx.dxo5, svarx.dxo6,
                  title = "Quarterly estimates of the equation for the oil export variable
                  in the SVAR model of Iran with seasonally adjusted domestic variables
                  ordered as:  exchange rate returns, oil exports, money supply growth, 
                  inflation, and output growth, estimated over the period 1989q1-2019q4",  
                  covariate.labels = c("$s_{t}$", 
                                       "$s_{t-1}$", 
                                       "$\\Delta e_{f,t}$",
                                       "$\\Delta e_{f,t-1}$",
                                       "$\\Delta x^{0}_{t-1}$", 
                                       "$\\Delta m_{t-1}$",
                                       "$\\Delta p_{t-1}$", 
                                       "$\\Delta y_{t-1}$", 
                                       "$\\Delta \\overline{y}_{wt}$", 
                                       "$\\Delta \\overline{req}_{wt}$",
                                       "$\\Delta \\overline{e}_{wt}$",                                        
                                       "$\\Delta \\overline{r}_{wt}$",
                                       "$grv_{t}$"),
                  omit =c("Constant", "SR1", "SR2", "SR3"),
                  align = TRUE, 
                  font.size = "small",
                  column.sep.width = "-15pt" ,
                  omit.stat = c("all"), 
                  no.space = TRUE, 
                  dep.var.caption = c("$\\Delta x^{0}_{t}$"), 
                  type = "text",
                  omit.table.layout = "n",
                  add.lines = list(c("Residual serial", errorsc_coeff),
                                   c("correlation test", errorsc_p),
                                   c("Adjusted $R^{2}$", adjr2)),
                  dep.var.labels.include = FALSE, 
                  out = '../LP Iran Sanctions Results/SVAR estimates/svar5_orderDFX_DXOILrobust.tex')


rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)






# ***DM2 -------------------------------------------------------------------
svarx.dm1 <- lm(dm2 ~  SR1 + SR2 + SR3 + s + lag(s,1) + d$lfx_free + dxo
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2),
                subset(master, date >= "1988Q3" & date <= "2019Q4") )

adjr2                   <- data.frame(summary(svarx.dm1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.dm1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p     <- data.frame(bgtest(svarx.dm1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dm2 <- lm(dm2  ~  SR1 + SR2 + SR3 + s + lag(s,1) + d$lfx_free + dxo
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[2,]                   <- data.frame(summary(svarx.dm2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dm2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,]     <- data.frame(bgtest(svarx.dm2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dm3 <- lm(dm2 ~  SR1 + SR2 + SR3 + s + lag(s,1) + d$lfx_free + dxo
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw + d$lgeq,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[3,]                   <- data.frame(summary(svarx.dm3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dm3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,]     <- data.frame(bgtest(svarx.dm3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dm4 <- lm(dm2 ~  SR1 + SR2 + SR3 + s + lag(s,1) + d$lfx_free + dxo
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw + d$lgeq + d$lgep,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[4,]                   <- data.frame(summary(svarx.dm4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dm4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,]     <- data.frame(bgtest(svarx.dm4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dm5 <- lm(dm2 ~  SR1 + SR2 + SR3 + s + lag(s,1) + d$lfx_free + dxo
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw + d$lgeq + d$lgep + da$data.glr,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[5,]                   <- data.frame(summary(svarx.dm5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dm5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,]     <- data.frame(bgtest(svarx.dm5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dm6 <- lm(dm2 ~  SR1 + SR2 + SR3 + s + lag(s,1) + d$lfx_free + dxo
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw + d$lgeq + d$lgep + da$data.glr + grve,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[6,]                   <- data.frame(summary(svarx.dm6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dm6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,]     <- data.frame(bgtest(svarx.dm6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)




errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dm1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dm1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2     <- paste(sprintf("%.3f",adjr2$summary.svarx.dm1..adj.r.squared), collapse = NULL)
serial    <- paste(errorsc_coeff,"$\\;$ ", errorsc_p)



svarx1<-stargazer(svarx.dm1, svarx.dm2, svarx.dm3, svarx.dm4, svarx.dm5, svarx.dm6,
                  title = "Quarterly estimates of the equation for money growth
                  in the SVAR model of Iran with seasonally adjusted domestic 
                  variables ordered as:  exchange rate returns, 
                  oil exports, money supply growth, inflation,
                  and output growth, estimated over the period 1989q1-2019q4",  
                  covariate.labels = c("$s_{t}$", 
                                       "$s_{t-1}$", 
                                       "$\\Delta e_{f,t}$",
                                       "$\\Delta x^{0}_{t}$", 
                                       "$\\Delta e_{f,t-1}$",
                                       "$\\Delta x^{0}_{t-1}$", 
                                       "$\\Delta m_{t-1}$",
                                       "$\\Delta p_{t-1}$", 
                                       "$\\Delta y_{t-1}$", 
                                       "$\\Delta p_{t-2}$",
                                       "$\\Delta \\overline{y}_{wt}$", 
                                       "$\\Delta \\overline{req}_{wt}$",
                                       "$\\Delta \\overline{e}_{wt}$",                                        
                                       "$\\Delta \\overline{r}_{wt}$",
                                       "$grv_{t}$"), 
                  omit =c("Constant", "SR1", "SR2", "SR3"),
                  align = TRUE, 
                  font.size = "small",
                  column.sep.width = "-15pt" ,
                  omit.stat = c("all"), 
                  no.space = TRUE, 
                  dep.var.caption = c("$\\Delta m_{t}$"), 
                  type = "text",
                  omit.table.layout = "n",
                  add.lines = list(c("Residual serial", errorsc_coeff),
                                   c("correlation test", errorsc_p),
                                   c("Adjusted $R^{2}$", adjr2)),
                  dep.var.labels.include = FALSE, 
                  out = '../LP Iran Sanctions Results/SVAR estimates/svar5_orderDFX_DM2robust.tex')


rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)





# ***DP -------------------------------------------------------------------
svarx.dp1 <- lm(d$lp ~  SR1 + SR2 + SR3 + s + lag(s,1) + d$lfx_free + dxo + dm2
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2),
                subset(master, date >= "1988Q3" & date <= "2019Q4") )

adjr2                   <- data.frame(summary(svarx.dp1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.dp1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p     <- data.frame(bgtest(svarx.dp1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dp2 <- lm(d$lp  ~  SR1 + SR2 + SR3 + s + lag(s,1) + d$lfx_free + dxo + dm2
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2) 
                + d$lyw,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[2,]                   <- data.frame(summary(svarx.dp2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dp2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,]     <- data.frame(bgtest(svarx.dp2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dp3 <- lm(d$lp ~  SR1 + SR2 + SR3 + s + lag(s,1) + d$lfx_free + dxo + dm2
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw + d$lgeq,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[3,]                   <- data.frame(summary(svarx.dp3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dp3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,]     <- data.frame(bgtest(svarx.dp3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dp4 <- lm(d$lp ~  SR1 + SR2 + SR3 + s + lag(s,1) + d$lfx_free + dxo + dm2
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw + d$lgeq + d$lgep,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[4,]                   <- data.frame(summary(svarx.dp4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dp4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,]     <- data.frame(bgtest(svarx.dp4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dp5 <- lm(d$lp ~  SR1 + SR2 + SR3 + s + lag(s,1) + d$lfx_free + dxo + dm2
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw + d$lgeq + d$lgep + da$data.glr,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[5,]                   <- data.frame(summary(svarx.dp5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dp5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,]     <- data.frame(bgtest(svarx.dp5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dp6 <- lm(d$lp ~  SR1 + SR2 + SR3 + s + lag(s,1) + d$lfx_free + dxo + dm2
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw + d$lgeq + d$lgep + da$data.glr + grve,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[6,]                   <- data.frame(summary(svarx.dp6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dp6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,]     <- data.frame(bgtest(svarx.dp6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dp1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dp1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2     <- paste(sprintf("%.3f",adjr2$summary.svarx.dp1..adj.r.squared), collapse = NULL)
serial    <- paste(errorsc_coeff,"$\\;$ ", errorsc_p)




svarx1<-stargazer(svarx.dp1, svarx.dp2, svarx.dp3, svarx.dp4, svarx.dp5, svarx.dp6,
                  title = "Quarterly estimates of the equation for inflation 
                  in the SVAR model of Iran with seasonally adjusted domestic 
                  variables ordered as:  exchange rate returns, 
                  oil exports, money supply growth, inflation,
                  and output growth, estimated over the period 1989q1-2019q4",  
                  covariate.labels = c("$s_{t}$", 
                                       "$s_{t-1}$", 
                                       "$\\Delta e_{f,t}$",
                                       "$\\Delta x^{0}_{t}$",
                                       "$\\Delta m_{t}$",
                                       "$\\Delta e_{f,t-1}$",
                                       "$\\Delta x^{0}_{t-1}$", 
                                       "$\\Delta m_{t-1}$",
                                       "$\\Delta p_{t-1}$", 
                                       "$\\Delta y_{t-1}$", 
                                       "$\\Delta p_{t-2}$",
                                       "$\\Delta \\overline{y}_{wt}$", 
                                       "$\\Delta \\overline{req}_{wt}$",
                                       "$\\Delta \\overline{e}_{wt}$",                                        
                                       "$\\Delta \\overline{r}_{wt}$",
                                       "$grv_{t}$"), 
                  omit =c("Constant", "SR1", "SR2", "SR3"),
                  align = TRUE, 
                  font.size = "small",
                  column.sep.width = "-15pt" ,
                  omit.stat = c("all"), 
                  no.space = TRUE, 
                  dep.var.caption = c("$\\Delta p_{t}$"), 
                  type = "text",
                  omit.table.layout = "n",
                  add.lines = list(c("Residual serial", errorsc_coeff),
                                   c("correlation test", errorsc_p),
                                   c("Adjusted $R^{2}$", adjr2)),
                  dep.var.labels.include = FALSE, 
                  out = '../LP Iran Sanctions Results/SVAR estimates/svar5_orderDFX_DProbust.tex')


rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)







# ***DY -------------------------------------------------------------------
svarx.dy1 <- lm(d$ly ~ SR1 + SR2 + SR3 + s + lag(s,1) + d$lfx_free + dxo + dm2 + d$lp
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1),
                subset(master, date >= "1988Q4" & date <= "2019Q4") )

adjr2                   <- data.frame(summary(svarx.dy1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.dy1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p     <- data.frame(bgtest(svarx.dy1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy2 <- lm(d$ly  ~  SR1 + SR2 + SR3 + s + lag(s,1) + d$lfx_free + dxo + dm2 + d$lp
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                + d$lyw,
                subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[2,]                   <- data.frame(summary(svarx.dy2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dy2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,]     <- data.frame(bgtest(svarx.dy2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy3 <- lm(d$ly ~  SR1 + SR2 + SR3 + s + lag(s,1) + d$lfx_free + dxo + dm2 + d$lp
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                + d$lyw + d$lgeq,
                subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[3,]                   <- data.frame(summary(svarx.dy3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dy3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,]     <- data.frame(bgtest(svarx.dy3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy4 <- lm(d$ly ~  SR1 + SR2 + SR3 + s + lag(s,1) + d$lfx_free + dxo + dm2 + d$lp
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                + d$lyw + d$lgeq + d$lgep,
                subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[4,]                   <- data.frame(summary(svarx.dy4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dy4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,]     <- data.frame(bgtest(svarx.dy4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy5 <- lm(d$ly ~  SR1 + SR2 + SR3 + s + lag(s,1) + d$lfx_free + dxo + dm2 + d$lp
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                + d$lyw + d$lgeq + d$lgep + da$data.glr,
                subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[5,]                   <- data.frame(summary(svarx.dy5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dy5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,]     <- data.frame(bgtest(svarx.dy5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dy6 <- lm(d$ly ~  SR1 + SR2 + SR3 + s + lag(s,1) + d$lfx_free + dxo + dm2 + d$lp
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(dm2,1) + lag(d$lp,1) + lag(d$ly,1)
                + d$lyw + d$lgeq + d$lgep + da$data.glr + grve,
                subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[6,]                   <- data.frame(summary(svarx.dy6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dy6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,]     <- data.frame(bgtest(svarx.dy6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)




errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dy1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dy1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2     <- paste(sprintf("%.3f",adjr2$summary.svarx.dy1..adj.r.squared), collapse = NULL)
serial    <- paste(errorsc_coeff,"$\\;$ ", errorsc_p)



svarx1<-stargazer(svarx.dy1, svarx.dy2, svarx.dy3, svarx.dy4, svarx.dy5, svarx.dy6,
                  title = "Quarterly estimates of the equation for output growth
                  in the SVAR model of Iran with seasonally adjusted domestic variables
                  ordered as:  exchange rate returns, oil exports, money supply growth, 
                  inflation, and output growth, estimated over the period 1989q1-2019q4",  
                  covariate.labels = c("$s_{t}$", 
                                       "$s_{t-1}$", 
                                       "$\\Delta e_{f,t}$",
                                       "$\\Delta x^{0}_{t}$",
                                       "$\\Delta m_{t}$",
                                       "$\\Delta p_{t}$",
                                       "$\\Delta e_{f,t-1}$",
                                       "$\\Delta x^{0}_{t-1}$", 
                                       "$\\Delta m_{t-1}$",
                                       "$\\Delta p_{t-1}$", 
                                       "$\\Delta y_{t-1}$",
                                       "$\\Delta \\overline{y}_{wt}$", 
                                       "$\\Delta \\overline{req}_{wt}$",
                                       "$\\Delta \\overline{e}_{wt}$",                                        
                                       "$\\Delta \\overline{r}_{wt}$",
                                       "$grv_{t}$"), 
                  omit = c("Constant", "SR1", "SR2", "SR3"),
                  align = TRUE, 
                  font.size = "small",
                  column.sep.width = "-15pt" ,
                  omit.stat = c("all"), 
                  no.space = TRUE, 
                  dep.var.caption = c("$\\Delta y_{t}$"), 
                  type = "text",
                  omit.table.layout = "n",
                  add.lines = list(c("Residual serial", errorsc_coeff),
                                   c("correlation test", errorsc_p),
                                   c("Adjusted $R^{2}$", adjr2)),
                  dep.var.labels.include = FALSE, 
                  out = '../LP Iran Sanctions Results/SVAR estimates/svar5_orderDFX_DYrobust.tex')


rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)









# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # 
# # # # # # # # # # # # # # # # # # 2.B  # # # # # # # # # # # # # # # # # # # 
# # # ------------------- SVAR {dfx, dxo, dp, dy} ------------------------
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

# ***DFX -------------------------------------------------------------------
svarx.dfx1 <- lm(d$lfx_free ~  s + lag(s,1) 
                 + lag(d$lfx_free ,1) + lag(dxo,1) + lag(d$lp,1) + lag(d$ly,1),
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )

adjr2                   <- data.frame(summary(svarx.dfx1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.dfx1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p     <- data.frame(bgtest(svarx.dfx1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dfx2 <- lm(d$lfx_free ~  s + lag(s,1) 
                 + lag(d$lfx_free ,1) + lag(dxo,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[2,]                   <- data.frame(summary(svarx.dfx2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dfx2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,]     <- data.frame(bgtest(svarx.dfx2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)

svarx.dfx3 <- lm(d$lfx_free ~  s + lag(s,1) 
                 + lag(d$lfx_free ,1) + lag(dxo,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[3,]                   <- data.frame(summary(svarx.dfx3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dfx3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,]     <- data.frame(bgtest(svarx.dfx3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dfx4 <- lm(d$lfx_free ~  s + lag(s,1) 
                 + lag(d$lfx_free ,1) + lag(dxo,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[4,]                   <- data.frame(summary(svarx.dfx4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dfx4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,]     <- data.frame(bgtest(svarx.dfx4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dfx5 <- lm(d$lfx_free ~  s + lag(s,1) 
                 + lag(d$lfx_free ,1) + lag(dxo,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep + da$data.glr,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[5,]                   <- data.frame(summary(svarx.dfx5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dfx5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,]     <- data.frame(bgtest(svarx.dfx5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dfx6 <- lm(d$lfx_free ~  s + lag(s,1) 
                 + lag(d$lfx_free ,1) + lag(dxo,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep + da$data.glr + grve,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[6,]                   <- data.frame(summary(svarx.dfx6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dfx6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,]     <- data.frame(bgtest(svarx.dfx6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dfx1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dfx1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2     <- paste(sprintf("%.3f",adjr2$summary.svarx.dfx1..adj.r.squared), collapse = NULL)
serial    <- paste(errorsc_coeff,"$\\;$ ", errorsc_p)




svarx1<-stargazer(svarx.dfx1, svarx.dfx2, svarx.dfx3, svarx.dfx4, svarx.dfx5, svarx.dfx6,
                  title = "Quarterly estimates of the equation for the rate of change
                  of the free market  exchange rate in the SVAR model of Iran with
                  seasonally adjusted domestic variables ordered as:  exchange rate returns, 
                  oil exports, inflation, and output growth, 
                  estimated over the period 1989q1-2019q4",  
                  covariate.labels = c("$s_{t}$", 
                                       "$s_{t-1}$", 
                                       "$\\Delta e_{f,t-1}$",
                                       "$\\Delta x^{0}_{t-1}$", 
                                       "$\\Delta p_{t-1}$", 
                                       "$\\Delta y_{t-1}$",
                                       "$\\Delta \\overline{y}_{wt}$", 
                                       "$\\Delta \\overline{req}_{wt}$",
                                       "$\\Delta \\overline{e}_{wt}$",                                        
                                       "$\\Delta \\overline{r}_{wt}$",
                                       "$grv_{t}$"), 
                  omit =c("Constant"),
                  align = TRUE, 
                  font.size = "small",
                  column.sep.width = "-15pt" ,
                  omit.stat = c("all"), 
                  no.space = TRUE, 
                  dep.var.caption = c("$\\Delta e_{ft}$"), 
                  type = "text",
                  omit.table.layout = "n",
                  add.lines = list(c("Residual serial", errorsc_coeff),
                                   c("correlation test", errorsc_p),
                                   c("Adjusted $R^{2}$", adjr2)),
                  dep.var.labels.include = FALSE, 
                  out = '../LP Iran Sanctions Results/SVAR estimates/svar4_orderDFX_DFXrobust.tex')


rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)






# ***DXOIL -------------------------------------------------------------------
svarx.dxo1 <- lm(dxo ~  s + lag(s,1) + d$lfx_free
                 + lag(d$lfx_free ,1) + lag(dxo,1) + lag(d$lp,1) + lag(d$ly,1),
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )

adjr2                   <- data.frame(summary(svarx.dxo1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.dxo1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p     <- data.frame(bgtest(svarx.dxo1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dxo2 <- lm(dxo  ~  s + lag(s,1) + d$lfx_free
                 + lag(d$lfx_free ,1) + lag(dxo,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[2,]                   <- data.frame(summary(svarx.dxo2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dxo2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,]     <- data.frame(bgtest(svarx.dxo2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dxo3 <- lm(dxo ~  s + lag(s,1) + d$lfx_free
                 + lag(d$lfx_free ,1) + lag(dxo,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[3,]                   <- data.frame(summary(svarx.dxo3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dxo3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,]     <- data.frame(bgtest(svarx.dxo3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dxo4 <- lm(dxo ~  s + lag(s,1) + d$lfx_free
                 + lag(d$lfx_free ,1) + lag(dxo,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[4,]                   <- data.frame(summary(svarx.dxo4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dxo4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,]     <- data.frame(bgtest(svarx.dxo4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dxo5 <- lm(dxo ~  s + lag(s,1) + d$lfx_free
                 + lag(d$lfx_free ,1) + lag(dxo,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep + da$data.glr,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[5,]                   <- data.frame(summary(svarx.dxo5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dxo5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,]     <- data.frame(bgtest(svarx.dxo5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dxo6 <- lm(dxo ~  s + lag(s,1) + d$lfx_free
                 + lag(d$lfx_free ,1) + lag(dxo,1) + lag(d$lp,1) + lag(d$ly,1)
                 + d$lyw + d$lgeq + d$lgep + da$data.glr + grve,
                 subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[6,]                   <- data.frame(summary(svarx.dxo6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dxo6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,]     <- data.frame(bgtest(svarx.dxo6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)




errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dxo1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dxo1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2     <- paste(sprintf("%.3f",adjr2$summary.svarx.dxo1..adj.r.squared), collapse = NULL)
serial    <- paste(errorsc_coeff,"$\\;$ ", errorsc_p)



svarx1<-stargazer(svarx.dxo1, svarx.dxo2, svarx.dxo3, svarx.dxo4, svarx.dxo5, svarx.dxo6,
                  title = "Quarterly estimates of the equation for the oil export variable
                  in the SVAR model of Iran with seasonally adjusted domestic variables
                  ordered as:  exchange rate returns, oil exports, 
                  inflation, and output growth, estimated over the period 1989q1-2019q4",  
                  covariate.labels = c("$s_{t}$", 
                                       "$s_{t-1}$", 
                                       "$\\Delta e_{f,t}$",
                                       "$\\Delta e_{f,t-1}$",
                                       "$\\Delta x^{0}_{t-1}$", 
                                       "$\\Delta p_{t-1}$", 
                                       "$\\Delta y_{t-1}$",
                                       "$\\Delta \\overline{y}_{wt}$", 
                                       "$\\Delta \\overline{req}_{wt}$",
                                       "$\\Delta \\overline{e}_{wt}$",                                        
                                       "$\\Delta \\overline{r}_{wt}$",
                                       "$grv_{t}$"),
                  omit =c("Constant"),
                  align = TRUE, 
                  font.size = "small",
                  column.sep.width = "-15pt" ,
                  omit.stat = c("all"), 
                  no.space = TRUE, 
                  dep.var.caption = c("$\\Delta x^{0}_{t}$"), 
                  type = "text",
                  omit.table.layout = "n",
                  add.lines = list(c("Residual serial", errorsc_coeff),
                                   c("correlation test", errorsc_p),
                                   c("Adjusted $R^{2}$", adjr2)),
                  dep.var.labels.include = FALSE, 
                  out = '../LP Iran Sanctions Results/SVAR estimates/svar4_orderDFX_DXOILrobust.tex')


rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)








# ***DP -------------------------------------------------------------------
svarx.dp1 <- lm(d$lp ~  s + lag(s,1) + d$lfx_free + dxo
                + lag(d$lfx_free ,1) + lag(dxo,1)+ lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2),
                subset(master, date >= "1988Q3" & date <= "2019Q4") )

adjr2                   <- data.frame(summary(svarx.dp1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.dp1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p     <- data.frame(bgtest(svarx.dp1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dp2 <- lm(d$lp  ~  s + lag(s,1) + d$lfx_free + dxo
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2) 
                + d$lyw,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[2,]                   <- data.frame(summary(svarx.dp2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dp2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,]     <- data.frame(bgtest(svarx.dp2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dp3 <- lm(d$lp ~  s + lag(s,1) + d$lfx_free + dxo
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw + d$lgeq,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[3,]                   <- data.frame(summary(svarx.dp3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dp3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,]     <- data.frame(bgtest(svarx.dp3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dp4 <- lm(d$lp ~ s + lag(s,1) + d$lfx_free + dxo 
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw + d$lgeq + d$lgep,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[4,]                   <- data.frame(summary(svarx.dp4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dp4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,]     <- data.frame(bgtest(svarx.dp4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dp5 <- lm(d$lp ~  s + lag(s,1) + d$lfx_free + dxo 
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw + d$lgeq + d$lgep + da$data.glr,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[5,]                   <- data.frame(summary(svarx.dp5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dp5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,]     <- data.frame(bgtest(svarx.dp5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dp6 <- lm(d$lp ~  s + lag(s,1) + d$lfx_free + dxo
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(d$lp,1) + lag(d$ly,1) + lag(d$lp,2)
                + d$lyw + d$lgeq + d$lgep + da$data.glr + grve,
                subset(master, date >= "1988Q3" & date <= "2019Q4") )
adjr2[6,]                   <- data.frame(summary(svarx.dp6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dp6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,]     <- data.frame(bgtest(svarx.dp6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dp1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dp1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2     <- paste(sprintf("%.3f",adjr2$summary.svarx.dp1..adj.r.squared), collapse = NULL)
serial    <- paste(errorsc_coeff,"$\\;$ ", errorsc_p)




svarx1<-stargazer(svarx.dp1, svarx.dp2, svarx.dp3, svarx.dp4, svarx.dp5, svarx.dp6,
                  title = "Quarterly estimates of the equation for inflation 
                  in the SVAR model of Iran with seasonally adjusted domestic 
                  variables ordered as:  exchange rate returns, 
                  oil exports, inflation,
                  and output growth, estimated over the period 1989q1-2019q4",  
                  covariate.labels = c("$s_{t}$", 
                                       "$s_{t-1}$", 
                                       "$\\Delta e_{f,t}$",
                                       "$\\Delta x^{0}_{t}$",
                                       "$\\Delta e_{f,t-1}$",
                                       "$\\Delta x^{0}_{t-1}$", 
                                       "$\\Delta p_{t-1}$", 
                                       "$\\Delta y_{t-1}$", 
                                       "$\\Delta p_{t-2}$",
                                       "$\\Delta \\overline{y}_{wt}$", 
                                       "$\\Delta \\overline{req}_{wt}$",
                                       "$\\Delta \\overline{e}_{wt}$",                                        
                                       "$\\Delta \\overline{r}_{wt}$",
                                       "$grv_{t}$"), 
                  omit =c("Constant"),
                  align = TRUE, 
                  font.size = "small",
                  column.sep.width = "-15pt" ,
                  omit.stat = c("all"), 
                  no.space = TRUE, 
                  dep.var.caption = c("$\\Delta p_{t}$"), 
                  type = "text",
                  omit.table.layout = "n",
                  add.lines = list(c("Residual serial", errorsc_coeff),
                                   c("correlation test", errorsc_p),
                                   c("Adjusted $R^{2}$", adjr2)),
                  dep.var.labels.include = FALSE, 
                  out = '../LP Iran Sanctions Results/SVAR estimates/svar4_orderDFX_DProbust.tex')


rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)







# ***DY -------------------------------------------------------------------
svarx.dy1 <- lm(d$ly ~ s + lag(s,1) + d$lfx_free + dxo+ d$lp
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(d$lp,1) + lag(d$ly,1),
                subset(master, date >= "1988Q4" & date <= "2019Q4") )

adjr2                   <- data.frame(summary(svarx.dy1)$adj.r.squared)
resid_serial_corr_coeff <- data.frame(bgtest(svarx.dy1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p     <- data.frame(bgtest(svarx.dy1, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy2 <- lm(d$ly  ~  s + lag(s,1) + d$lfx_free + dxo + d$lp
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(d$lp,1) + lag(d$ly,1)
                + d$lyw,
                subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[2,]                   <- data.frame(summary(svarx.dy2)$adj.r.squared)
resid_serial_corr_coeff[2,] <- data.frame(bgtest(svarx.dy2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[2,]     <- data.frame(bgtest(svarx.dy2, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy3 <- lm(d$ly ~  s + lag(s,1) + d$lfx_free + dxo + d$lp
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(d$lp,1) + lag(d$ly,1)
                + d$lyw + d$lgeq,
                subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[3,]                   <- data.frame(summary(svarx.dy3)$adj.r.squared)
resid_serial_corr_coeff[3,] <- data.frame(bgtest(svarx.dy3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[3,]     <- data.frame(bgtest(svarx.dy3, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy4 <- lm(d$ly ~  s + lag(s,1) + d$lfx_free + dxo + d$lp
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(d$lp,1) + lag(d$ly,1)
                + d$lyw + d$lgeq + d$lgep,
                subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[4,]                   <- data.frame(summary(svarx.dy4)$adj.r.squared)
resid_serial_corr_coeff[4,] <- data.frame(bgtest(svarx.dy4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[4,]     <- data.frame(bgtest(svarx.dy4, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)


svarx.dy5 <- lm(d$ly ~   s + lag(s,1) + d$lfx_free + dxo + d$lp
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(d$lp,1) + lag(d$ly,1)
                + d$lyw + d$lgeq + d$lgep + da$data.glr,
                subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[5,]                   <- data.frame(summary(svarx.dy5)$adj.r.squared)
resid_serial_corr_coeff[5,] <- data.frame(bgtest(svarx.dy5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[5,]     <- data.frame(bgtest(svarx.dy5, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)



svarx.dy6 <- lm(d$ly ~  s + lag(s,1) + d$lfx_free + dxo + d$lp
                + lag(d$lfx_free ,1) + lag(dxo,1) + lag(d$lp,1) + lag(d$ly,1)
                + d$lyw + d$lgeq + d$lgep + da$data.glr + grve,
                subset(master, date >= "1988Q4" & date <= "2019Q4") )
adjr2[6,]                   <- data.frame(summary(svarx.dy6)$adj.r.squared)
resid_serial_corr_coeff[6,] <- data.frame(bgtest(svarx.dy6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$statistic)
resid_serial_corr_p[6,]     <- data.frame(bgtest(svarx.dy6, order = 4, order.by = NULL, type = c("Chisq"), fill = 0)$p.value)




errorsc_coeff <- paste(sprintf("%.3f",resid_serial_corr_coeff$bgtest.svarx.dy1..order...4..order.by...NULL..type...c..Chisq....), collapse = NULL)
errorsc_p <- paste("[", sprintf("%.3f", resid_serial_corr_p$bgtest.svarx.dy1..order...4..order.by...NULL..type...c..Chisq....), "]", sep="", collapse=NULL)
adjr2     <- paste(sprintf("%.3f",adjr2$summary.svarx.dy1..adj.r.squared), collapse = NULL)
serial    <- paste(errorsc_coeff,"$\\;$ ", errorsc_p)



svarx1<-stargazer(svarx.dy1, svarx.dy2, svarx.dy3, svarx.dy4, svarx.dy5, svarx.dy6,
                  title = "Quarterly estimates of the equation for output growth
                  in the SVAR model of Iran with seasonally adjusted domestic variables
                  ordered as:  exchange rate returns, oil exports, 
                  inflation, and output growth, estimated over the period 1989q1-2019q4",  
                  covariate.labels = c("$s_{t}$", 
                                       "$s_{t-1}$", 
                                       "$\\Delta e_{f,t}$",
                                       "$\\Delta x^{0}_{t}$",
                                       "$\\Delta p_{t}$",
                                       "$\\Delta e_{f,t-1}$",
                                       "$\\Delta x^{0}_{t-1}$", 
                                       "$\\Delta p_{t-1}$", 
                                       "$\\Delta y_{t-1}$",
                                       "$\\Delta \\overline{y}_{wt}$", 
                                       "$\\Delta \\overline{req}_{wt}$",
                                       "$\\Delta \\overline{e}_{wt}$",                                        
                                       "$\\Delta \\overline{r}_{wt}$",
                                       "$grv_{t}$"), 
                  omit = c("Constant", "SR1", "SR2", "SR3"),
                  align = TRUE, 
                  font.size = "small",
                  column.sep.width = "-15pt" ,
                  omit.stat = c("all"), 
                  no.space = TRUE, 
                  dep.var.caption = c("$\\Delta y_{t}$"), 
                  type = "text",
                  omit.table.layout = "n",
                  add.lines = list(c("Residual serial", errorsc_coeff),
                                   c("correlation test", errorsc_p),
                                   c("Adjusted $R^{2}$", adjr2)),
                  dep.var.labels.include = FALSE, 
                  out = '../LP Iran Sanctions Results/SVAR estimates/svar4_orderDFX_DYrobust.tex')


rm(list = ls(pattern = "^svarx"))
rm(list = ls(pattern = "^error"))
rm(list = ls(pattern = "^res"))
rm(serial)
rm(adjr2)














